<?php

function giu($re, $i = '') {
    chatroom::checkWWW();
    global $giu;
    if ($giu == null) {
        global $site_url, $options;
        if ($options['url_type'] == 'rewrite') {
            $i = strtolower($_SERVER['REQUEST_URI']);
            if (!empty($options['rewtite_suffix'])) {
                $i = explode($options['rewtite_suffix'], $i);
                $i = $i[0];
            }
            $i = substr($i, 1);
            $i = explode('?', $i);
            $i = explode('/', $i[0]);
            if ($i[0] == '') {
                $i[0] = 'index';
            } elseif ($i[0] == 'index') {
                header::Go(url());
                exit();
            } else {
                if ($i[0] != 'robots.txt' and $i[0] != 'sitemap.xml') {
                    $temp = explode('?', strtolower($_SERVER['REQUEST_URI']));
                    if (substr($temp[0], strlen($temp[0]) - strlen($options['rewtite_suffix'])) != $options['rewtite_suffix']) {
                        header::go("http://{$_SERVER['HTTP_HOST']}/" . implode('/', $i) . $options['rewtite_suffix']);
                        exit();
                    }
                }
            }
            $giu = $i;
        } elseif ($options['url_type'] == 'rewrite-i') {
            if (!isset($_GET['i'])) {
                $i = strtolower($_SERVER['REQUEST_URI']);
                $i = explode($options['rewtite_suffix'], $i);
                $i = $i[0];
                $i = substr($i, 1);
                $i = explode('/', $i);
                if ($i[0] == '') {
                    $i[0] = 'index';
                }
                $giu = $i;
            } else {
                $i = strtolower($_GET['i']);
                $i = explode('|', $i);
                if ($i[0] == '') {
                    $i[0] = 'index';
                }
                $giu = $i;
            }
        } elseif ($options['url_type'] == 'i') {
            if (isset($_GET['i'])) {
                $i = strtolower($_GET['i']);
                $i = explode('|', $i);
                if ($i[0] == '') {
                    $i[0] = 'index';
                }
                $giu = $i;
            }
        } elseif ($options['url_type'] == 'get') {
            $giu = \array_keys($_GET);
        }
    }
    switch ($re) {
        case ('page'):
            return (isset($giu[0]) ? $giu[0] : 'index');
        case ('el2'):
            return (isset($giu[1]) ? $giu[1] : false);
        case ('el3'):
            return (isset($giu[2]) ? $giu[2] : false);
        case ('el4'):
            return (isset($giu[3]) ? $giu[3] : false);
        case ('el5'):
            return (isset($giu[4]) ? $giu[4] : false);
    }
}

function save_log($type, $input = null, $user = null) {
    if ($user == null) {
        if (isset($_SESSION['id'])) {
            $user = $_SESSION['id'];
        } else {
            $user = '0';
        }
    }
    db::insert('logs', "`ip`, `date`, `user`, `type`, `input`", "'" . ip() . "', UNIX_TIMESTAMP(), '$user', '$type', '$input'");
    db::insert('logs_archive', "`ip`, `date`, `user`, `type`, `input`", "'" . ip() . "', UNIX_TIMESTAMP(), '$user', '$type', '$input'");
    db::close();
}

function url($page = 'index', $encode = false) {
    global $site_url, $options;
    if ($page == 'this') {
        return ("http://" . $_SERVER['HTTP_HOST'] . urldecode($_SERVER['REQUEST_URI']));
    } elseif ($page == 'ref') {
        return (isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '');
    } elseif (url_type == 'rewrite' or url_type == 'rewrite-i') {
        $substr5 = substr($page, 0, 5);
        if ($substr5 == 'theme' or $substr5 == 'files') {
            return ("/$page");
        } else {
            if ($page == 'index') {
                return ("http://{$_SERVER['HTTP_HOST']}");
            }
            $len = strlen($page);
            if (substr($page, $len - 1) == '/') {
                $page = substr($page, 0, $len - 1);
            }
            if ($encode) {
                $page = urlencode($page);
                $page = str_replace('%2F', '/', $page);
            }
            $page = str_replace(' ', '-', $page);
            return ("http://{$_SERVER['HTTP_HOST']}/$page{$options['rewtite_suffix']}");
        }
    } elseif (url_type == 'i') {
        if (strpos($page, 'theme/') !== false or strpos($page, 'files/') !== false) {
            return ("http://$site_url[0]/$page");
        } else {
            $page = str_replace(['/',
                ' '
                    ], ['|',
                '-'
                    ], $page);
            if ($encode) {
                $page = urlencode($page);
            }
            return ("http://$site_url[0]/?i=$page");
        }
    } elseif (url_type == 'get') {
        if (strpos($page, 'theme/') !== false or strpos($page, 'files/') !== false) {
            return ("http://$site_url[0]/$page");
        } else {
            $page = str_replace(['/',
                ' '
                    ], ['&',
                '-'
                    ], $page);
            if ($encode) {
                $page = urlencode($page);
            }
            return ("http://$site_url[0]/?$page");
        }
    }
}

function stats($col) {
    $temp = strtotime('today');
    if (db::num('stats_num', "`day`='$temp'")) {
        db::update('stats_num', "`$col`=`$col`+1", "`day`='$temp'");
    } else {
        $temp1 = strtotime('yesterday');
        $nummessage = db::num('message', "`date` > '$temp1' and `date` < '$temp'") + db::num('message_archive', "`date` > '$temp1' and `date` < '$temp'");
        db::update('stats_num', "`msgs`='$nummessage'", "`day`='$temp1'");
        db::insert('stats_num', "`day`, `$col`", "'$temp', '1'");
    }
    db::update('stats_num', "`$col`=`$col`+1", "`day`='0'");
    unset($user, $temp);
    db::close();
}

function session($n, $v = null) {
    if ($v == null) {
        if (isset($_SESSION['chat_' . $n])) {
            return ($_SESSION['chat_' . $n]);
        } else {
            return false;
        }
    } else {
        if ($v == 'array()') {
            $v = [];
        }
        $_SESSION['chat_' . $n] = $v;
    }
}

function sessionunset($n) {
    unset($_SESSION['chat_' . $n]);
}

function checkipbann($ip, $index) {
    global $checkip;
    $ipban = explode('.', $ip);
    $myip = explode('.', ip());
    if ($ipban[$index] == '*') {
        $checkip[$index] = true;
    } else {
        if ($ipban[$index] == $myip[$index]) {
            $checkip[$index] = true;
        }
    }
}

function checkbadname($name, $re) {
    if ($re == 'login') {
        $query = db::query("SELECT `word` FROM {prefix}badwords WHERE `canlogin`='0'");
        $bad = false;
        while ($row = mysqli_fetch_array($query)) {
            if (!empty($row[0]) and strpos($name, $row[0]) !== false) {
                $bad = true;
                break;
            }
        }
        mysqli_free_result($query);
        db::close();
        return $bad;
    }
}

function getchmod($path) {
    return substr(sprintf('%o', fileperms($path)), -4);
}

function permissions($path, $defualt, $fix = true) {
    if (substr(php_uname(), 0, 7) == "Windows") {
        return 'true';
    }
    $chmod = getchmod($path);
    $return = '';
    if ($chmod != $defualt) {
        $return = 'false';
        if ($fix) {
            chmod($path, (int) $defualt);
            if (getchmod($path) == $defualt) {
                $return .= 'fix';
            }
        }
    } else {
        $return = 'true';
    }
    return $return;
}

function listDirectory($dir, $dirs = true, $subdirs = true) {
    $result = [];
    if (substr($dir, strlen($dir) - 1) != '/') {
        $dir .= '/';
    }
    $root = scandir($dir);
    foreach ($root as $value) {
        if ($value === '.' || $value === '..') {
            continue;
        }
        if (is_file("$dir$value")) {
            $result[] = "$dir$value";
            continue;
        }
        if ($dirs) {
            if (is_dir("$dir$value")) {
                $result[] = "$dir$value/";
            }
        }
        if ($subdirs) {
            foreach (listDirectory("$dir$value/", $dirs, $subdirs) as $value) {
                $result[] = $value;
            }
        }
    }
    return $result;
}

function validate_ip($ip) {
    if (filter_var($ip, FILTER_VALIDATE_IP, FILTER_FLAG_IPV4 | FILTER_FLAG_NO_PRIV_RANGE | FILTER_FLAG_NO_RES_RANGE) === false) {
        return false;
    }
    return true;
}

function ip() {
    $ip_keys = array('HTTP_CLIENT_IP', 'HTTP_X_FORWARDED_FOR', 'HTTP_X_FORWARDED', 'HTTP_X_CLUSTER_CLIENT_IP', 'HTTP_FORWARDED_FOR', 'HTTP_FORWARDED', 'REMOTE_ADDR');
    foreach ($ip_keys as $key) {
        if (array_key_exists($key, $_SERVER) === true) {
            foreach (explode(',', $_SERVER[$key]) as $ip) {
                // trim for safety measures
                $ip = trim($ip);
                // attempt to validate IP
                if (validate_ip($ip)) {
                    return $ip;
                }
            }
        }
    }
    return isset($_SERVER['REMOTE_ADDR']) ? $_SERVER['REMOTE_ADDR'] : false;
}

function shutdown($a) {
    db::close();
}

function token() {
    $token = md5('DC@Ta!_###$$@@##_Ta@rh' . $_SERVER['REQUEST_TIME']);
    session('token', $token);
    return $token;
}

function robot() {
    $robot = md5('DC@Ta!_###$$@@##_Ta@rhrobot' . $_SERVER['REQUEST_TIME']);
    session('robot', $robot);
    return $robot;
}

function allow_cf($to, $into = 1, $system = 1) {
    $check = $into == 'pm' || $into == 'main' ? false : true;
    $sysid = $system == '-2' ? true : false;
    if ($sysid) {
        if (db::num('cf_users', "`creater`='$to' AND `joiner`='" . session('id') . "'") > 0) {
            return true;
        } else {
            return false;
        }
    }
    if ($check) {
        if (db::num('cf_users', "`creater`='$to' AND `joiner`='" . session('id') . "'") > 0) {
            return true;
        } else {
            return false;
        }
    } else {
        return false;
    }
}

function check_session($txt = false) {
    $txt = $txt ? $txt : 'login';
    if (!session('id')) {
        die($txt);
    }
    return true;
}

function RedError($txt, $color = false) {
    $colors = $color ? $color : 'red';
    return '<center><font color="' . $colors . '"><b>' . $txt . '</b></font></center>';
}

function ArrayUnsetValue($array, $delval) {
    $x = 0;
    $array = array_values($array);
    foreach ($array as $val) {
        if ($val == $delval) {
            unset($array[$x]);
        }
        $x++;
    }
    return $array;
}

function remove_utf8_bom($text) {
    $bom = pack('H*', 'EFBBBF');
    $text = preg_replace("/^$bom/", '', $text);
    return $text;
}

function TokenIsValid($token) {
    return $token == session('token') ? true : false;
}

function CheckAdminType($type) {
    global $usertype;
    $admin = $usertype[$type]['admin'];
    $meadmin = session('admin');
    if ($meadmin == '1' && $admin != '1') {
        return true;
    }
    if ($meadmin == '2' && $admin != '2' && $admin != '1') {
        return true;
    }
    if ($meadmin == '3' && $admin != '1' && $admin != '2' && $admin != '3') {
        return true;
    }
    if ($meadmin == '4' && $admin != '1' && $admin != '2' && $admin != '3' && $admin != '4') {
        return true;
    }
    if ($meadmin == '5' && $admin != '1' && $admin != '2' && $admin != '3' && $admin != '4' && $admin != '5') {
        return true;
    }
    if ($meadmin == '6' && $admin != '1' && $admin != '2' && $admin != '3' && $admin != '4' && $admin != '5' && $admin != '6') {
        return true;
    }
    if ($meadmin == '7' && $admin != '1' && $admin != '2' && $admin != '3' && $admin != '4' && $admin != '5' && $admin != '6' && $admin != '7') {
        return true;
    }
    return false;
}

function Access2Manage($id, $text = false) {
    $type = db::get('users', 'type', "`id`='$id'");
    $text = $text == false ? 'شما اجازه ویرایش این کاربر را ندارید' : $text;
    !CheckAdminType($type) ? die($text) : '';
}

function MiniAvatarDir() {
    global $options;
    return str_replace('*', '-', $options['thumbavatarSize']);
}

function GetTokenPassword($length = 10) {
    $chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
    $len = strlen($chars);
    $pw = '';
    for ($i = 0; $i < $length; $i++) {
        $pw .= substr($chars, rand(0, $len - 1), 1);
    }
    $pw = str_shuffle($pw);
    return($pw);
}

function send_toranj($url, $parametr) {
    $curl = curl_init($url);
    curl_setopt($curl, CURLOPT_POST, 1);
    curl_setopt($curl, CURLOPT_POSTFIELDS, $parametr);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, TRUE);
    $result = curl_exec($curl);
    curl_close($curl);
    return $result;
}

function send_mail($from_email, $from_name, $to_email, $to_name, $subject, $body, $signature, $attachment = null) {
    if ($signature) {
        $signature = '
			<tr>
				<td style="background-color:#3a3a3a; padding:5px; direction:rtl; text-align:right; font-size: 10px; font-family:BYekan; color:#E0E0E0">' . $signature . '<br>
				<a target="_blank" style="color: #E0E0E0" href="http://www.dctarh.ir">طراحی اختصاصی چت روم</a>
				</td>
			</tr>';
    }

    $mail_body = '
		<table style="margin-left:auto; margin-right:auto; width:80%; border:0px;">
			<tr>
				<td style="background-color:#3a3a3a; padding:5px; direction:rtl; text-align:right; font-size: 12px; font-family:BYekan; font-weight:bold; color:#E0E0E0">' . $from_name . '</td>
			</tr>
			<tr>
				<td style="background-color:#f5f5f5; padding:25px; border: 1px solid #c6c6c6; direction:rtl; text-align:right; font-size: 12px; font-family:BYekan; color:#3a3a3a">' . $body . '</td>
			</tr>' . $signature . '
		</table>';
    $headers = 'MIME-Version: 1.0' . "\r\n";
    $headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";
    $headers .= 'X-Mailer: php' . "\r\n";
    $headers .= "From: " . $from_name . " ( " . $from_email . " ) \r\n";
    $headers .= "To: " . $to_name . " ( " . $to_email . " ) \r\n";
    $headers .= 'Reply-To: ' . $from_email . '' . "\r\n";
    if (@mail($to_email, $subject, $mail_body, $headers)) {
        return true;
    } else {
        return false;
    }
}

function is_mobile_detect() {
    $agent = isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : "";
    if (stripos($agent, 'Android') !== false || stripos($agent, 'iPad') !== false || stripos($agent, 'iPhone') !== false || stripos($agent, 'iPod') !== false || preg_match("/Nokia([^\/]+)\/([^ SP]+)/i", $agent) || stripos($agent, 'opera mini') !== false || (stripos($agent, 'mspie') !== false || stripos($agent, 'pocket') !== false) || stripos($agent, 'blackberry') !== false) {
        return true;
    }
    return false;
}

function getBrowser() {
    $u_agent = $_SERVER['HTTP_USER_AGENT'];
    $bname = 'Unknown';
    if (preg_match('/MSIE/i', $u_agent) && !preg_match('/Opera/i', $u_agent)) {
        $bname = 'IE';
        $ub = "MSIE";
    } elseif (preg_match('/Trident/i', $u_agent)) {
        $bname = 'IE';
        $ub = "rv";
    } elseif (preg_match('/Firefox/i', $u_agent)) {
        $bname = 'Firefox';
        $ub = "Firefox";
    } elseif (preg_match('/Chrome/i', $u_agent)) {
        $bname = 'Chrome';
        $ub = "Chrome";
    } elseif (preg_match('/Safari/i', $u_agent)) {
        $bname = 'Safari';
        $ub = "Safari";
    } elseif (preg_match('/Opera/i', $u_agent)) {
        $bname = 'Opera';
        $ub = "Opera";
    } elseif (preg_match('/Netscape/i', $u_agent)) {
        $bname = 'Netscape';
        $ub = "Netscape";
    } elseif (preg_match('/camino/i', $u_agent)) {
        $bname = 'Camino';
        $ub = "Camino";
    }
    return ['bname' => $bname,
    ];
}

function rm_rf($path) {
    if (is_dir($path) && is_writable($path)) {
        $dp = opendir($path);
        while ($ent = readdir($dp)) {
            if ($ent == '.' || $ent == '..') {
                continue;
            }
            $file = $path . DIRECTORY_SEPARATOR . $ent;
            if (\is_dir($file)) {
                rm_rf($file);
            } elseif (is_writable($file)) {
                unlink($file);
            } else {
                echo $file . "is not writable and cannot be removed. Please fix the permission or select a new path.\n";
            }
        }
        closedir($dp);
        return rmdir($path);
    } else {
        return @unlink($path);
    }
}

function iptocountry($ip) {
    $numbers = preg_split("/\./", $ip);
    include("inc/ip_files/" . $numbers[0] . ".php");
    $code = ($numbers[0] * 16777216) + ($numbers[1] * 65536) + ($numbers[2] * 256) + ($numbers[3]);
    foreach ($ranges as $key => $value) {
        if ($key <= $code) {
            if ($ranges[$key][0] >= $code) {
                $two_letter_country_code = $ranges[$key][1];
                break;
            }
        }
    }
    if ($two_letter_country_code == "") {
        $two_letter_country_code = "unkown";
    }
    return $two_letter_country_code;
}

function isJson($string) {
    json_decode($string);
    return (json_last_error() == JSON_ERROR_NONE);
}

?>