<?php

if (!session('id') or session('admin') == '0') {
    exit();
}
adminpanel::check_Permission('exit', 'specialactions');
$token = isset($_POST['token']) ? $_POST['token'] : false;
if (!$token || $token != session('changepw')) {
    die('لطفا صفحه خود را رفرش کنيد');
}

$action = isset($_REQUEST['action']) ? $_REQUEST['action'] : '';
if ($action == 'delmsgs') {
    $t = time() - 5;
    db::delete('message', "`date` < $t");
    db::delete('message_archive', "`date` < $t");
    chatroom::addlog('9', "تاریخچه را حذف کرد");
    echo('ok');
} elseif ($action == 'delguestime') {
    $time = isset($_REQUEST['time']) ? safe::number($_REQUEST['time']) : '';
    if ($time < 691201 and $time > 29) {
        $query = db::query("SELECT `id` FROM {prefix}users WHERE (`type`='1') and `lastlogin` < (UNIX_TIMESTAMP() - " . ($time * 60) . ")");
        while ($row = mysqli_fetch_array($query)) {
            db::delete('banns', "`user`='$row[0]'");
            db::delete('logs', "`user`='$row[0]'");
            db::delete('message', "`user`='$row[0]' or `to`='$row[0]'");
            db::delete('profiles', "`id`='$row[0]'");
            db::delete('profile_posts', "`userid`='$row[0]'");
            db::delete('users', "`id`='$row[0]'");
            db::delete('message_archive', "`user`='$row[0]'");
        }
        chatroom::addlog('9', "تمامی کاربران مهمان $time به قبل را حذف کرد.");
        echo('ok');
    }
} elseif ($action == 'alertonlines') {

    $text = isset($_REQUEST['textalert']) ? safe::string($_REQUEST['textalert']) : '';
    if ($text != '') {
        $query = db::query("SELECT `id`,`inputs` FROM {prefix}onlines WHERE `time`!='0'");
        while ($row = mysqli_fetch_array($query)) {
            $inputs = json_decode($row['inputs'], true);
            $inputs['alert'] = $text;
            Users::Inputs($row['id'], $inputs);
        }
        mysqli_free_result($query);
        chatroom::addlog('9', "به تمام کاربران آنلاین این متن را  اخطار داد: $text");
        echo('ok');
    }
} elseif ($action == 'alertadmins') {

    $text = isset($_REQUEST['textalert1']) ? safe::string($_REQUEST['textalert1']) : '';
    if ($text != '') {
        $query = db::query("SELECT `id`,`inputs` FROM {prefix}onlines WHERE `time`!='0' AND `admin` != '0'");
        while ($row = mysqli_fetch_array($query)) {
            $inputs = json_decode($row['inputs'], true);
            $inputs['alert'] = "ارسال کننده: " . session('name') . " || درجه: " . $usertype[session('type')]['title'] . "  || " . $text;
            Users::Inputs($row['id'], $inputs);
        }
        mysqli_free_result($query);
        chatroom::addlog('9', "به تمام مدیران و ناظرین آنلاین این متن را  اخطار داد: $text");
        echo('ok');
    }
} elseif ($action == 'deloldmsgs') {
    $t = time() - 18000;
    db::delete('message', "`date` < $t");
    db::delete('message_archive', "`date` < $t");
    chatroom::addlog('9', "پیام های قدیمی تاریخچه را حذف کرد");
    echo('ok');
} elseif ($action == 'delofflinemessage') {
    db::delete('offline_message');
    chatroom::addlog('9', "تمام پیام های آفلاین را حذف کرد");
    echo('ok');
} elseif ($action == 'delguests') {
    chatroom::delguests();
    chatroom::addlog('9', "کاربران اضافی را حذف نمود!");
    echo('ok');
} elseif ($action == 'delusers') {
    db::delete('adminpanel', "`user`!='" . session('id') . "'");
    db::emptty('banns');
    db::delete('letters', "`to`!= '" . session('id') . "'");

    db::emptty('message');
    db::emptty('message_archive');
    db::delete('onlines', "`id`!='" . session('id') . "'");
    db::delete('profiles', "`id`!='" . session('id') . "'");
    db::delete('profile_posts', "`userid`!='" . session('id') . "'");
    db::delete('users', "`id`!='" . session('id') . "'");
    db::delete('register', "`id`!='" . session('id') . "'");
    chatroom::addlog('9', "تمامی کاربران و اطلاعاتشان را حذف کرد");
    echo('ok');
} elseif ($action == 'deldactived') {
    $users = array();
    $query = db::query("SELECT `id` FROM {prefix}users WHERE `active`='0'");
    while ($row = mysqli_fetch_array($query)) {
        $users[] = $row['id'];
    }
    mysqli_free_result($query);
    $users = implode(', ', $users);
    if ($users != '') {
        db::delete('adminpanel', "`user` IN ($users)");
        db::delete('banns', "`user` IN ($users)");
        db::delete('register', "`user` IN ($users)");
        db::delete('letters', "`to` IN ($users)");
        db::delete('message', "`user`  IN ($users)");
        db::delete('message_archive', "`user`  IN ($users)");
        db::delete('onlines', "`id` IN ($users)");
        db::delete('profiles', "`id` IN ($users)");
        db::delete('profile_posts', "`userid` IN ($users)");
        db::delete('users', "`id` IN ($users)");
        chatroom::addlog('9', "تمامی کاربران غیرفعال و  اطلاعاتشان را حذف کرد");
    }

    echo('ok');
} elseif ($action == 'activedactived') {
    $query = db::query("SELECT `id` FROM {prefix}users WHERE `active`='0'");
    while ($row = mysqli_fetch_array($query)) {
        db::update('users', "`active`='1'", "`id`='{$row['id']}'");
        db::update('profiles', "`active`='1'", "`id`='{$row['id']}'");
    }
    mysqli_free_result($query);
    chatroom::addlog('9', "تمامی کاربران غیرفعال را فعال کرد");
    echo('ok');
} elseif ($action == 'scoreplus') {
    $allowType = array('all');
    foreach ($usertype as $at)
        $allowType[] = $at['id'];
    $scoreplus = safe::number($_REQUEST['scorepp']);
    $np = $_REQUEST['pOrn'];
    $sType = $_REQUEST['sType'] != 'all' ? safe::number($_REQUEST['sType']) : 'all';
    if ($sType != 'all') {
        foreach ($usertype as $ok) {
            if ($ok['id'] == $sType) {
                $sTitle = $ok['title'];
            }
        }
        $txtp = "به گروه کاربری $sTitle $scoreplus امتیاز اضافه کرد";
        $txtn = "از گروه کاربری $sTitle $scoreplus امتیاز کم کرد";
    } else {
        $txtp = "به تمامی کاربران $scoreplus امتیاز اضافه کرد";
        $txtn = "از تمامی کاربران $scoreplus امتیاز کم کرد";
    }
    if ($sType == 'all')
        $sTypE = "1";
    else
        $sTypE = "type = '$sType'";
    if (is_numeric($scoreplus) && in_array($sType, $allowType)) {
        switch ($np) {
            case 'p':
                db::update('users', "score = score + '$scoreplus'", "$sTypE");
                db::update('onlines', "score = score + '$scoreplus'", "$sTypE");
                chatroom::addlog('9', $txtp);
                echo('okp');
                break;
            case 'n':
                db::update('users', "score = score - '$scoreplus'", "$sTypE");
                db::update('onlines', "score = score - '$scoreplus'", "$sTypE");
                chatroom::addlog('9', $txtn);
                echo('okn');
                break;
        }
    } else {
        echo('لطفا امتیاز را به درستی وارد نمایید.');
    }
} elseif ($action == 'refreshusers') {
    $query = db::query("SELECT `id`,`inputs` FROM {prefix}onlines WHERE `time`!='0'");
    while ($row = mysqli_fetch_array($query)) {
        $inputs = json_decode($row['inputs'], true);
        $inputs['refresh'] = '1';
        Users::Inputs($row['id'], $inputs);
    }
    mysqli_free_result($query);
    chatroom::addlog('9', "تمامی کاربران آنلاین را رفرش کرد");
    echo('ok');
} elseif ($action == 'refreshadmins') {
    $query = db::query("SELECT `id`,`inputs` FROM {prefix}onlines WHERE `time`!='0' AND `admin` != '0'");
    while ($row = mysqli_fetch_array($query)) {
        $inputs = json_decode($row['inputs'], true);
        $inputs['refresh'] = '1';
        Users::Inputs($row['id'], $inputs);
    }
    mysqli_free_result($query);
    chatroom::addlog('9', "تمامی مدیران و ناظرین آنلاین را رفرش کرد");
    echo('ok');
} elseif ($action == 'delsmilies') {
    $query = db::query("SELECT `id`,`img` FROM {prefix}smilies");
    while ($row = mysqli_fetch_array($query)) {
        if (is_file("theme/images/smilies/{$row['img']}")) {
            unlink("theme/images/smilies/{$row['img']}");
        }
        db::delete('smilies', "`id`='{$row['id']}'");
    }
    mysqli_free_result($query);
    chatroom::addlog('9', "تمامی شکلک هارا حذف کرد");
    echo('ok');
} elseif ($action == 'reloadsmilies') {
    chatroom::reloadsmiles();
    chatroom::addlog('9', "شکلک هارا بارگذاری کرد");
    echo('ok');
} elseif ($action == 'delbadwords') {
    db::emptty('badwords');
    chatroom::reloadbadwords();
    chatroom::addlog('9', "تمامی کلمات زشت را حذف کرد");
    echo('ok');
} elseif ($action == 'reloadbadwords') {
    chatroom::reloadbadwords();
    chatroom::addlog('9', "کلمات زشت را بارگذاری کرد");
    echo('ok');
} elseif ($action == 'deloldvisit') {
    chatroom::clearVisits();
    chatroom::addlog('9', "ریز آمار های قدیمی را حذف کرد");
    echo('ok');
} elseif ($action == 'delvisit') {
    db::emptty('stats');
    chatroom::addlog('9', "همه ریز آمار ها را حذف کرد");
    echo('ok');
} elseif ($action == 'deloldlogs') {
    chatroom::clearLogs();
    chatroom::addlog('9', "تراکنشات قدیمی را حذف کرد");
    echo('ok');
} elseif ($action == 'delogs') {
    db::emptty('logs');
    chatroom::addlog('9', "تمامی لاگ های کاربران را پاک کرد");
    echo('ok');
} elseif ($action == 'deloldletters') {
    $t = time() - 172800;
    db::delete('letters', "`time` < $t");
    chatroom::addlog('9', "نامه های قدیمی را حذف کرد");
    echo('ok');
} elseif ($action == 'delreadletters') {
    db::delete('letters', "`status` = '1'");
    chatroom::addlog('9', "نامه های خوانده شده راحذف کرد");
    echo('ok');
} elseif ($action == 'deletters') {
    db::emptty('letters', "`status` = '1'");
    chatroom::addlog('9', "همه نامه ها را حذف کرد");
    echo('ok');
} elseif ($action == 'allreadletters') {
    db::update('letters', "`status`='1'", "`status`='0'");
    chatroom::addlog('9', "همه نامه های خوانده نشده را به شکل خوانده شده در آورد");
    echo('ok');
} elseif ($action == 'delvisualusers') {
    db::delete('onlines', "`time`='0'");
    chatroom::addlog('9', "همه کاربران مجازی را حذف کرد");
    echo('ok');
} elseif ($action == 'delipbanner') {
    db::delete('banns', "`user` IS NULL");
    chatroom::addlog('9', "همه تحریم های آیپی را آزاد کرد");
    echo('ok');
} elseif ($action == 'delbanns') {
    $query = db::query("SELECT `id`,`user` FROM {prefix}banns WHERE `user` IS NOT NULL ");
    while ($row = mysqli_fetch_array($query)) {
        db::update('users', "`active`='1'", "`id`='{$row['user']}'");
        db::update('profiles', "`active`='1'", "`id`='{$row['user']}'");
        db::delete('banns', "`id`='{$row['id']}'");
    }
    mysqli_free_result($query);
    chatroom::addlog('9', "همه اخراجیان را آزاد کرد");
    echo('ok');
} elseif ($action == 'delsilents') {
    $query1 = db::query("SELECT * FROM {prefix}silents");
    while ($silent = mysqli_fetch_array($query1)) {
        $query = db::query("SELECT `id`,`inputs`,`username` FROM {prefix}onlines WHERE `id` = '{$silent[4]}' OR `ip`='{$silent[1]}'");
        while ($row = mysqli_fetch_array($query)) {
            $inputs = json_decode($row['inputs'], true);
            $inputs['silent'] = '0';
            $inputs['simg'] = '';
            $inputs['stext'] = '';
            Users::Inputs($row['id'], $inputs);
        }
        mysqli_free_result($query);
        db::delete('silents', "`id`='{$silent[0]}'");
    }
    mysqli_free_result($query1);
    chatroom::addlog('9', "همه ساکت شدگان را آزاد کرد");
    echo('ok');
} elseif ($action == 'delmusices') {
    $query = db::query("SELECT `id`,`src` FROM {prefix}player");
    while ($row = mysqli_fetch_array($query)) {
        if (is_file($row['src']))
            unlink($row['src']);
        db::delete('player', "`id`='{$row['id']}'");
    }
    mysqli_free_result($query);
    chatroom::addlog('9', "تمامی موزیک ها را حذف کرد");
    echo('ok');
}elseif ($action == 'reloadmusices') {
    chatroom::reloadmusic();
    chatroom::addlog('9', "موزیک ها را بارگذاری کرد");
    echo('ok');
} elseif ($action == 'delinks') {
    db::emptty('links');
    chatroom::addlog('9', "همه لینک ها را حذف کرد");
    echo('ok');
} elseif ($action == 'deldeactivelinks') {
    db::delete('links', "`active`='0'");
    chatroom::addlog('9', "لینک های غیرفعال را حذف کرد");
    echo('ok');
} elseif ($action == 'checkdb') {
    $query = db::query("SELECT `DEFAULT_COLLATION_NAME` FROM `information_schema`.`SCHEMATA` WHERE `SCHEMA_NAME`='{db_name}'");
    $result = mysqli_fetch_array($query);
    if ($result[0] != 'utf8_persian_ci') {
        db::query("ALTER DATABASE DEFAULT CHARACTER SET utf8 COLLATE utf8_persian_ci");
    }
    mysqli_free_result($query);
    chatroom::addlog('9', "دیتابیس را مورد بررسی قرار داد");
    echo('ok');
} elseif ($action == 'checktlbs') {
    $enginemysql = array(
        'adminpanel' => 'MyISAM',
        'badwords' => 'MyISAM',
        'banns' => 'MyISAM',
        'filemanager' => 'MyISAM',
        'ipbans' => 'MyISAM',
        'letters' => 'MyISAM',
        'links' => 'MyISAM',
        'logs' => 'MyISAM',
        'message' => 'InnoDB',
        'message_archive' => 'InnoDB',
        'onlines' => 'InnoDB',
        'options' => 'MyISAM',
        'player' => 'MyISAM',
        'profiles' => 'MyISAM',
        'rooms' => 'MyISAM',
        'smilies' => 'MyISAM',
        'stats' => 'MyISAM',
        'stats_num' => 'MyISAM',
        'users' => 'InnoDB',
        'silents' => 'MyISAM'
    );
    $query = db::query("show tables");
    while ($row = mysqli_fetch_array($query)) {
        $query2 = db::query("CHECK TABLE `$row[0]`");
        while ($row2 = mysqli_fetch_array($query2)) {
            if ($row2['Msg_text'] != 'OK') {
                $tables_ok = false;
                $temp = db::query("REPAIR TABLE `$row[0]`");
                $temp = mysqli_fetch_array($temp);
                if ($row2['Msg_text'] != 'OK') {
                    $healthy = false;
                }
                mysqli_free_result($temp);
            } else {
                $query3 = db::query("SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA`='" . db_name . "' and `TABLE_NAME` ='$row[0]'");
                $result = mysqli_fetch_array($query3);
                if ($result['TABLE_COLLATION'] != 'utf8_persian_ci') {
                    $tables_ok = false;
                    db::query("ALTER TABLE $row[0] DEFAULT CHARACTER SET utf8 COLLATE utf8_persian_ci");
                }
                $temp = db_prefix;
                $temp = substr($row[0], strlen($temp));
                if (!isset($enginemysql[$temp]))
                    $enginemysql[$temp] = $options['enginemysql'];
                if (strtolower($result['ENGINE']) != strtolower($enginemysql[$temp])) {
                    $tables_ok = false;
                    db::query("ALTER TABLE `$row[0]` ENGINE = {$enginemysql[$temp]}");
                }
                mysqli_free_result($query3);
            }
        }
        mysqli_free_result($query2);
    }
    mysqli_free_result($query);

    chatroom::addlog('9', "جداول دیتابیس را مورد بررسی قرار داد");
    echo('ok');
} elseif ($action == 'reloadconfig') {
    chatroom::reloadconfig();
    chatroom::addlog('9', "فایل تنظیمات را بازنویسی کرد");
    echo('ok');
} elseif ($action == 'pays') {
    db::delete('pays');
    chatroom::addlog('9', "پرداخت ها را حذف کرد");
    echo('ok');
} elseif ($action == 'failedpays') {
    db::delete('pays', "status='0'");
    chatroom::addlog('9', "پرداخت ها را حذف کرد");
    echo('ok');
} elseif ($action == 'oldpays') {
    $t = time() - 86400;
    db::delete('pays', "`date` < $t");
    chatroom::addlog('9', "پرداخت ها را حذف کرد");
    echo('ok');
} elseif ($action == 'delsendedimages') {
    $query = db::query("SELECT `filename` FROM {prefix}sendedimages");
    while ($link = mysqli_fetch_array($query)) {
        @unlink('theme/sendedimages/' . $link['filename']);
    }
    mysqli_free_result($query);
    db::delete('sendedimages');
    chatroom::addlog('9', "تمامی فایل های ارسال شده در خصوصی را حذف کرد");
    echo('ok');
} elseif ($action == 'ld_delete_inprofile') {
    db::update('profiles', '`like`="0",`dislike`="0",`likedusers`="",`dislikedusers`=""');
    chatroom::addlog('9', "تمامی لایک ها و دیسلایک های کاربران در پروفایل را پاک کرد");
    echo('ok');
}
?>
