<?php

if (!session('id') or session('admin') == '0') {
    exit();
}
adminpanel::check_Permission('notfound', 'theme');
$uploadfiles = array();
$msg = "ok";
if (!empty($_FILES)) {
    $e = $_FILES;
    foreach ($_FILES as $key => $s) {
        $e = $key;
        if ($_FILES[$e]['name'] != '') {
            $type = $_FILES[$e]['type'];
            if ($type != 'image/png' && $type != 'image/jpeg' && $type != 'image/gif') {
                $msg = 'type';
                break;
            } else {
                switch ($type) {
                    case ('image/png'):
                        $format = 'png';
                        break;
                    case ('image/jpeg'):
                        $format = 'jpg';
                        break;
                    case ('image/gif'):
                        $format = 'gif';
                        break;
                }
                $folder = 'theme/images/bg/';
                $name = "bg" . rand(0, 5000) . ".$format";
                $filename = "$folder/$name";
                if (is_file($filename)) {
                    $name = "bg" . rand(0, 5000) . ".$format";
                    $filename = "$folder/$name";
                }
                if (move_uploaded_file($_FILES[$e]['tmp_name'], $filename)) {
                    $img = file_get_contents($filename);
                    if (strpos((string) $img, '<?php') !== false) {
                        unlink($filename);
                        $msg = 'security';
                        break;
                    } else {
                        $msg = 'ok';
                        $uploadfile[$e] = $name;
                    }
                } else {
                    $msg = 'noup';
                    break;
                }
            }
        }
    }
} else {
    $msg = 'noelemrnr';
}

$thememanager = json_decode($options['thememanager'], true);
$part = isset($_POST['part']) ? $_POST['part'] : '';
if (!isset($thememanager[$part])) {
    exit();
}
$subset = isset($_POST['subset']) ? $_POST['subset'] : '';
if (!isset($thememanager[$part][$subset])) {
    exit();
}
if ($subset == 'admin-icons') {
    if ($msg == 'ok') {
        $thememanager[$part][$subset][$e] = 'theme/images/bg/' . $name;
    }
} elseif ($subset == 'form-icons') {

    if ($msg == 'ok') {
        foreach ($uploadfile as $key => $val) {
            $thememanager[$part][$subset][$key] = 'theme/images/bg/' . $val;
        }
    }
} else {
    foreach ($_POST as $key => $val) {
        if (!isset($thememanager['chat']['onlinelist']['width'])) {
            $thememanager['chat']['onlinelist']['width'] = '260px';
        }
        if (isset($thememanager[$part][$subset][$key])) {
            $val = safe::string($val);
            if ($key == 'background-color' and substr($val, 0, 4) == '#fff') {
                $val = '#fff';
            }
            $thememanager[$part][$subset][$key] = $val;
        }
    }
    if (isset($thememanager[$part][$subset][$e]) and isset($name)) {
        $thememanager[$part][$subset][$e] = 'theme/images/bg/' . $name;
    }
}

db::update('options', "`value`='" . json_encode($thememanager, JSON_UNESCAPED_UNICODE) . "'", "`name`='thememanager'");
chatroom::reloadconfig();
echo ("$msg");
