<?php

if (!session('id') or session('admin') == '0') {
    exit();
}
adminpanel::check_Permission('exit', 'addusertypes');

if ($options['typeload'] == '1') {
    echo('شما از نوع بارگذاری سنتی استفاده میکنید');
    return;
}
$title = isset($_POST['title']) ? safe::string($_POST['title']) : '';
if ($title == '') {
    echo('title');
    return;
}

$admin = isset($_POST['admin']) ? safe::number($_POST['admin']) : '0';
if ($admin != '1' && $admin != '2' && $admin != '3' && $admin != '4' && $admin != '5' && $admin != '6' && $admin != '7') {
    $admin = '0';
}


$score = isset($_POST['score']) ? safe::number($_POST['score']) : '';
if ($score == '') {
    echo('score');
    return;
}
if ($score < 1) {
    $score = 0;
}


$color = isset($_POST['color']) ? safe::hexColor($_POST['color']) : '#000000';

$nextid = mysqli_fetch_array(db::query("SELECT AUTO_INCREMENT FROM information_schema.tables WHERE table_name = '{prefix}usertypes' AND table_schema = '{db_name}'"));
$nextid = $nextid[0];


$msg = '';
$version = '?ver=' . rand(1111, 9999);

if (isset($_FILES['icontype'])) {
    $type = $_FILES['icontype']['type'];
    if ($type != 'image/png' && $type != 'image/jpeg' && $type != 'image/gif') {
        $msg = 'type';
    } else {
        switch ($type) {
            case('image/png'):$format = 'png';
                break;
            case('image/jpeg'):$format = 'jpg';
                break;
            case('image/gif'):$format = 'gif';
                break;
        }
        $folder = 'theme/images/user-types';
        if (!is_dir($folder)) {
            mkdir($folder);
        }

        $name = "$nextid.$format";
        $filename = "$folder/$name";
        if (move_uploaded_file($_FILES['icontype']['tmp_name'], $filename)) {
            $img = file_get_contents($filename);
            if (strpos((string) $img, '<?php') !== false) {
                unlink($filename);
                $msg = 'security';
            } else {
                $icon = $filename . $version;
            }
        } else {
            $msg = 'noup';
        }
    }
}
if (isset($_FILES['imgtype'])) {
    $type = $_FILES['imgtype']['type'];
    if ($type != 'image/png' && $type != 'image/jpeg' && $type != 'image/gif') {
        $msg = 'type';
    } else {
        switch ($type) {
            case('image/png'):$format = 'png';
                break;
            case('image/jpeg'):$format = 'jpg';
                break;
            case('image/gif'):$format = 'gif';
                break;
        }
        $folder = 'theme/images/user-types';
        if (!is_dir($folder)) {
            mkdir($folder);
        }

        $name = "$nextid.taj.$format";
        $filename = "$folder/$name";
        if (move_uploaded_file($_FILES['imgtype']['tmp_name'], $filename)) {
            $img = file_get_contents($filename);
            if (strpos((string) $img, '<?php') !== false) {
                unlink($filename);
                $msg = 'security';
            } else {
                $taj = $filename . $version;
            }
        } else {
            $msg = 'noup';
        }
    }
}
if (!isset($icon)) {
    $icon = '';
}
if (!isset($taj)) {
    $taj = '';
}
if ($msg == '') {
    db::insert('usertypes', "`title`,`admin`,`score`,`icon`,`taj`,`guest`,`loginhidden`,`canlogin`,`color`", "'$title', '$admin', '$score', '$icon', '$taj','0','0','1','$color'");
    echo('ok');
    chatroom::reloadconfig();
} else {
    echo($msg);
}
?>
