<?php

check_session();
header::tojson();
if (Users::guestType(session('type')))
    return;

include('inc/classes/profile.php');
Profile::CheckActiveMe();

$pid = isset($_POST['pid']) ? safe::number($_POST['pid']) : die('pid?');
$uid = isset($_POST['uid']) ? safe::number($_POST['uid']) : die('uid?');
$comment_id = isset($_POST['cid']) ? safe::string($_POST['cid']) : die('cid?');
$time = isset($_POST['time']) ? safe::number($_POST['time']) : die('time?');
$action = isset($_POST['action']) ? $_POST['action'] : die('action?');

if (session('admin') == '0')
    $uid = session('id');

switch ($action) {
    case 'avatar':
        $getC = db::get('profiles', '`cavatar`', "`id` = '$pid'");
        $table = 'profiles';
        $column = 'cavatar';
        break;
    case 'cover':
        $getC = db::get('profiles', '`ccover`', "`id` = '$pid'");
        $table = 'profiles';
        $column = 'ccover';
        break;
    case 'info':
        $getC = db::get('profiles', '`cinfo`', "`id` = '$pid'");
        $table = 'profiles';
        $column = 'cinfo';
        break;
    case 'music':
        $getC = db::get('profiles', '`cmusic`', "`id` = '$pid'");
        $table = 'profiles';
        $column = 'cmusic';
        break;
    default:
        $getC = db::get('profile_posts', '`comments`', "`id` = '$pid'");
        $table = 'profile_posts';
        $column = 'comments';
        break;
}
if (!$getC)
    return;
$comments = json_decode($getC[0], true);

$x = 0;
foreach ($comments as $key => $val) {
    if ($uid == $val['uid'] && $comment_id == $val['cid'] && $time == $val['time'])
        unset($comments[$x]);
    $x++;
}
$comments = array_merge(array(), $comments);
$comments = json_encode($comments, JSON_UNESCAPED_UNICODE);

db::update($table, "`$column`='$comments'", "`id`='$pid'");

$text = array('text' => 'با موفقیت پاک شد', 'type' => 'success');

echo json_encode($text, JSON_UNESCAPED_UNICODE);
?>