<?php

check_session();
header::tojson();
if (Users::guestType(session('type')))
    return;

include('inc/classes/profile.php');
Profile::CheckActiveMe();

$pid = isset($_POST['pid']) ? safe::number($_POST['pid']) : die('pid?');
$action = isset($_POST['action']) ? $_POST['action'] : die('action?');

$myid = session('id');

if ($pid == $myid && $action == 'add')
    die(json_encode(array('text' => 'شما نمیتوانید پروفایل خود را دنبال کنید', 'type' => 'error'), JSON_UNESCAPED_UNICODE));

$myget = db::get('profiles', '`followers`', "`id`='$myid'");
$userget = db::get('profiles', '`followers`', "`id`='$pid'");

if (!$myget)
    return;
if (!$userget)
    return;

$myjson = json_decode($myget[0], true);
$userjson = json_decode($userget[0], true);
if ($action == 'add' || $action == 'del') {
    $myjson['me'] = ArrayUnsetValue($myjson['me'], $pid);

    if ($action == 'add')
        $myjson['me'][] = $pid;

    $myjson['me'] = array_values($myjson['me']);
    $myjson = json_encode($myjson);

    db::update('profiles', "`followers`='$myjson'", "`id`='$myid'");

    $userjson['users'] = ArrayUnsetValue($userjson['users'], $myid);

    if ($action == 'add')
        $userjson['users'][] = $myid;

    $userjson['users'] = array_values($userjson['users']);
    $userjson = json_encode($userjson);

    db::update('profiles', "`followers`='$userjson'", "`id`='$pid'");

    $text = array('text' => $action == 'add' ? 'با موفقیت اضافه شدید' : 'با موفقیت از لیست دنبال کنندگان حذف شدید', 'type' => 'success');

    echo json_encode($text, JSON_UNESCAPED_UNICODE);
}else {
    if (count($userjson['users']) == '0')
        return;
    if (!empty($userjson['users'])) {
        //	$json = array_slice($json, -12, 12);
        $implode = implode(',', $userjson['users']);
        echo '<script type="text/javascript">
				$(function () {
				  $(\'[data-toggle="tooltip"]\').tooltip();
				});</script>';
        $query = db::query("SELECT u.`name`,u.`id`,u.`type`,u.`gender`, p.`avatar`, o.`id` AS online FROM {prefix}users u LEFT JOIN {prefix}profiles p ON p.`id` = u.`id` LEFT JOIN {prefix}onlines o ON o.`id` = u.`id` WHERE u.`id` IN($implode) ORDER BY FIELD(u.`id`,$implode) DESC");
        while ($row = mysqli_fetch_array($query)) {
            $avatar = Profile::ShowResizedAvatar(is_file('theme/images/avatars/' . $row['avatar']) ? $row['avatar'] : ($row['gender'] == '1' ? 'no_avatar_male.png' : 'no_avatar_female.jpg'));
            $on = $row['online'] ? 'on' : '';
            echo('<li class="list-group-item ' . $on . '" data-toggle="tooltip" data-placement="bottom" title="' . $row['name'] . ' - ' . $usertype[$row['type']]['title'] . '"><a target="_blank" href="/profile/' . $row['id'] . '"><img src="' . $avatar . '"><span>' . $row['name'] . '</span></a></li>');
        }
        mysqli_free_result($query);
    }
}
?>