<?php

check_session();
if (Users::guestType(session('type')))
    return;

include('inc/classes/profile.php');
Profile::CheckActiveMe();

$id = isset($_POST['userid']) ? safe::number($_POST['userid']) : die('id?');
ProfileShowFriends($id);

function ProfileShowFriends($id) {
    global $usertype, $options;
    if (!session('id'))
        return;
    $user = db::get('users', '`friends`', "`id`='$id'");
    $jdc = json_decode($user[0], true);
    if (empty($jdc))
        die('یافت نشد.');
    $user_friends = implode(',', $jdc);
    echo '<script type="text/javascript">
		$(function () {
		  $(\'[data-toggle="tooltip"]\').tooltip();
		});</script>';
    $query = db::query("SELECT u.`name`,u.`id`,u.`type`,u.`gender`, p.`avatar`, o.`id` AS online FROM {prefix}users u LEFT JOIN {prefix}profiles p ON p.`id` = u.`id` LEFT JOIN {prefix}onlines o ON o.`id` = u.`id` WHERE u.`id` IN($user_friends) ORDER BY FIELD(u.`id`,$user_friends) DESC");
    while ($row = mysqli_fetch_array($query)) {
        $avatar = Profile::ShowResizedAvatar(is_file('theme/images/avatars/' . $row['avatar']) ? $row['avatar'] : ($row['gender'] == '1' ? 'no_avatar_male.png' : 'no_avatar_female.jpg'));
        $on = $row['online'] ? 'on' : '';
        echo('<li class="list-group-item ' . $on . '" data-toggle="tooltip" data-placement="bottom" title="' . $row['name'] . ' - ' . $usertype[$row['type']]['title'] . '"><a target="_blank" href="/profile/' . $row['id'] . '"><img src="' . $avatar . '"><span>' . $row['name'] . '</span></a></li>');
    }
    mysqli_free_result($query);
}

?>