<?php
check_session();
header::tojson();
if(Users::guestType(session('type')))return;

include('inc/classes/profile.php');
include('inc/classes/bbcode.php');
Profile::CheckActiveMe();

	$post = isset($_POST['post']) ? $_POST['post'] : die('post?');
	
	$error = json_encode(array('text' => 'فیلد متن نباید خالی باشد', 'type' => 'error'), JSON_UNESCAPED_UNICODE);
	$error_length = json_encode(array('text' => 'تعداد کلمات زیاد است', 'type' => 'error'), JSON_UNESCAPED_UNICODE);
	$success = json_encode(array('text' => 'ارسال شد', 'type' => 'success'), JSON_UNESCAPED_UNICODE);
	$user_type = json_encode(array('text' => 'کاربران عضو نمیتوانند مطلب ارسال کنند', 'type' => 'error'), JSON_UNESCAPED_UNICODE);
	$offline = json_encode(array('text' => 'ارسال مطلب برای کل گروه های کاربری غیرفعال شده است', 'type' => 'error'), JSON_UNESCAPED_UNICODE);
	$permission = json_encode(array('text' => 'ارسال مطلب برای گروه کاربری شما غیرفعال شده است', 'type' => 'error'), JSON_UNESCAPED_UNICODE);
	$closed = json_encode(array('text' => 'تا ۱ ساعت امکان ارسال مطلب وجود ندارد - سیستم در حال ارتقا میباشد', 'type' => 'error'), JSON_UNESCAPED_UNICODE);
	//die($closed);
	
	if($options['send_post_inprofile'] == 'false')die($offline);
	
	$userTypes = json_decode($options['useroptions'], true);
	if(!in_array(session('type'), $userTypes['send_post_inprofile']))die($permission);

	if(empty($post))die($error);
	
	$myid = session('id');
	$time = time();
	
	if(session('admin') != '1'){
		if(!session('countpost')){
			$mycount = db::get('profiles', '`count`', "`id` = '$myid'");
			session('countpost', $mycount[0]);
		}
		if(!session('sendpost')){
			$mytime = db::get('profile_posts', '`time`', "`userid` = '$myid' ORDER BY `id` DESC");
			session('sendpost', $mytime[0]);
		}
		
		if(session('countpost') > 3){
			$lastpost = (int)(($time - session('sendpost'))/60);
			if($lastpost <= 30){
				$lastpost = 30 - $lastpost;
				$lastText = "ِشما تا $lastpost دقیقه دیگر قادر به ارسال مطلب جدید نیستید";
				die(json_encode(array('text' => $lastText, 'type' => 'error'), JSON_UNESCAPED_UNICODE));
			}else{
				db::update('profiles',"`count` = '0'", "`id` = $myid");
				session('countpost', '0');
			}
			
		}
	}

	$content = bbcode::remove($post);
	//if(mb_strlen($content, 'UTF-8') > 2000)die($error_length);
	
	db::insert('profile_posts','`userid`,`content`,`time`',"'$myid','$post','$time'");
	if(db::num('profile_counts', "`userid` = '$myid'") == 0){
		db::insert('profile_counts', '`userid`,`posts`', "'$myid','1'");
	}else{
		db::update('profile_counts', "`posts` = `posts` + 1", "`userid` = '$myid'");
	}
	
	if(session('admin') != '1'){
	$count = session('countpost') + 1;
		session('countpost', $count);
		session('sendpost', $time);
		
		db::update('profiles',"`count` = '$count'", "`id` = $myid");
	}
	echo($success);

Profile::Send2Friends('مطلب جدید ارسال کرد');
?>