<?php

check_session();
$token = isset($_POST['token']) ? $_POST['token'] : false;
if (!$token || $token != session('changepw')) {
    die('لطفا صفحه خود را رفرش کنيد');
}
if (!chatroom::checkPermission('modprofilereset')) {
    exit('اين قابليت براي گروه کاربري شما غير فعال شده است');
}
if (session('admin') != '0') {
    $uid = isset($_POST['uid']) ? safe::number($_POST['uid']) : die('uid?');
    $action = isset($_POST['action']) ? $_POST['action'] : die('لطفا اول  وارد پروفایل کاربر شوید و از سمت چپ گوشه بالا رو مدیریت کلیک کنید');
    $token = isset($_POST['token']) ? ($_POST['token'] != session('changepw') ? die('خطا') : '') : die('token?');

    $get = db::get('users', '`name`,`type`', "`id`='$uid'");

    !CheckAdminType($get['type']) ? die('شما اجازه پاک کردن این پروفایل را ندارید') : '';

    switch ($action) {
        case 'avatar':
            $info = db::get('profiles', '`avatar`', "`id`='" . $uid . "'");
            if ($info[0] != 'photo.png') {
                unlink($options['avatar_dir'] . '/' . $info[0]);
                unlink($options['avatar_dir'] . '/' . str_replace('*', '-', $options['thumbavatarSize']) . '/' . $info[0]);
            }
            db::update('profiles', '`avatar`="photo.png",`cavatar`="",`lduavatar`=""', "`id`='$uid'");
            db::update('profile_counts', "`lavatar`='', `davatar`=''", "`userid`='$uid'");
            chatroom::addlog('5', "آواتار کاربر " . $get['name'] . " را پاک کرد");
            Users::alert($uid, 'آواتار شما توسط یکی از ناظرین یا معاونین پاک شد');
            exit('آواتار کاربر پاک شد');
            break;
        case 'cover':
            $info = db::get('profiles', '`cover`', "`id`='" . $uid . "'");
            db::update('profiles', '`cover`="cover.jpg",`ccover`="",`lducover`=""', "`id`='$uid'");
            if ($info[0] != 'cover.jpg') {
                if (is_file('theme/images/covers/' . $info[0]))
                    @unlink('theme/images/covers/' . $info[0]);
            }
            chatroom::addlog('5', "کاور پروفایل کاربر " . $get['name'] . " را پاک کرد");
            Users::alert($uid, 'کاور پروفایل شما توسط یکی از ناظرین یا معاونین پاک شد');
            exit('کاور کاربر پاک شد');
            break;
        case 'shout':
            db::update('profiles', '`shout`=""', "`id`='$uid'");
            chatroom::addlog('5', "فریاد کاربر " . $get['name'] . " را پاک کرد");
            Users::alert($uid, 'فریاد شما توسط یکی از ناظرین یا معاونین پاک شد');
            exit('فریاد کاربر پاک شد');
            break;
        case 'music':
            db::update('profiles', '`cmusic`="",`ldumusic`="",`dmusic`="",`music`=""', "`id`='$uid'");
            db::update('profile_counts', "`dlmusic` = '', `lmusic` = '', `dmusic` = ''", "`userid` = '$uid'");
            if (is_file('theme/music/' . $uid . '.mp3'))
                @unlink('theme/music/' . $uid . '.mp3');
            require_once 'inc/classes/ftp.class.php';
            try {
                $ftp = new Ftp;
                $ftp->connect($ftp->config['host']);
                $ftp->login($ftp->config['user'], $ftp->config['pass']);
                $ftp->tryDelete('public_html/' . db_name . '/music/' . $uid . '.mp3');
                $ftp->close();
            } catch (FtpException $e) {
                //
            }
            chatroom::addlog('5', "اهنگ پروفایل کاربر " . $get['name'] . " را پاک کرد");
            Users::alert($uid, 'آهنگ پروفایل شما توسط یکی از ناظرین یا معاونین پاک شد');
            exit('آهنگ مورد علاقه کاربر پاک شد');
            break;
        case 'info':
            db::update('profiles', '`info`="",`cinfo`="",`lduinfo`=""', "`id`='$uid'");
            chatroom::addlog('5', "توضیحات کاربر " . $get['name'] . " را پاک کرد");
            Users::alert($uid, 'آهنگ پروفایل شما توسط یکی از ناظرین یا معاونین پاک شد');
            exit('توضیحات کاربر پاک شد');
            break;
        case 'posts':
            db::delete('profile_posts', "`userid`='$uid'");
            db::delete('profile_counts', "`userid`='$uid'");
            chatroom::addlog('5', "تمام مطالب ارسالی کاربر " . $get['name'] . " را پاک کرد");
            Users::alert($uid, 'تمام مطالب ارسالی شما توسط یکی از ناظرین یا معاونین پاک شد');
            exit('تمامی مطالب ارسالی کاربر حذف شد');
            break;
        case 'enable':
            db::update('profiles', '`active`="1"', "`id`='$uid'");
            chatroom::addlog('5', "پروفایل کاربر \"" . $get['name'] . "\" را فعال کرد");
            Users::alert($uid, 'پروفایل شما توسط یکی از ناظرین یا معاونین فعال شد');
            exit('enable');
            break;
        case 'disable':
            db::update('profiles', '`active`="0"', "`id`='$uid'");
            chatroom::addlog('5', "پروفایل کاربر \"" . $get['name'] . "\" را غیرفعال کرد");
            Users::alert($uid, 'پروفایل شما توسط یکی از ناظرین یا معاونین غیرفعال شد');
            exit('disable');
            break;
        case 'all':
            $site = str_replace(array('http://', 'www'), '', url());
            $info = db::get('profiles', '`avatar`,`cover`', "`id`='" . $uid . "'");
            if ($info[0] != 'photo.png') {
                if (is_file(($options['avatar_dir'] . '/' . $info[0])))
                    @unlink($options['avatar_dir'] . '/' . $info[0]);
                if (is_file($options['avatar_dir'] . '/' . str_replace('*', '-', $options['thumbavatarSize']) . '/' . $info[0]))
                    @unlink($options['avatar_dir'] . '/' . str_replace('*', '-', $options['thumbavatarSize']) . '/' . $info[0]);
            }
            if ($info[1] != 'cover.jpg') {
                if (is_file('theme/images/covers/' . $info[1]))
                    @unlink('theme/images/covers/' . $info[1]);
            }
            db::update('profiles', "`count`='',`cover`='cover.jpg', `info`='', `site`='$site', `avatar`='photo.png',
									`shout`='', `cinfo`='', `lduinfo`='', `ccover`='',`lducover`='',`cavatar`='',
									`lduavatar`='',`music`='', `dmusic`='',`ldumusic`='',`cmusic`=''", "`id`='" . $uid . "'");
            db::delete('profile_posts', "`userid`='$uid'");
            db::delete('profile_counts', "`userid`='$uid'");
            if (is_file('theme/music/' . $uid . '.mp3'))
                @unlink('theme/music/' . $uid . '.mp3');
            require_once 'inc/classes/ftp.class.php';
            try {
                $ftp = new Ftp;
                $ftp->connect($ftp->config['host']);
                $ftp->login($ftp->config['user'], $ftp->config['pass']);
                $ftp->tryDelete('public_html/' . db_name . '/music/' . $uid . '.mp3');
                $ftp->close();
            } catch (FtpException $e) {
                //
            }
            chatroom::addlog('5', "تمام اطلاعات پروفایل کاربر " . $get['name'] . " را پاک کرد");
            Users::alert($uid, 'تمام اطلاعات پروفایل شما توسط یکی از ناظرین یا معاونین پاک شد');
            exit('کل اطلاعات کاربر پاک شد');
            break;
        default:
            die('خطا');
            break;
    }
} else {
    echo('permission!');
}