<?php
include('header.php');
include('sidebar.php');
$page = safe::number($el3) ? ((int) safe::number($el3)) : 1;
if ($page == 1) {
    $startpage = 0;
} else {
    $startpage = ($page - 1) * 20;
}
?>
<script type="text/javascript">
    jQuery(document).ready(function ($) {
        $('.image .removeavatar').click(function (e) {
            if ($(this).attr('disabled') != 'true') {
                $(this).attr('disabled', 'true');
                var $img = $(this).parents('.image');
                $user = $img.attr('data-user');
                $.ajax({
                    url: '/ajax/admin.logs.avatar',
                    type: 'post',
                    data: {user: $user, action: 'delete'},
                    dataType: 'json',
                    success: function (data) {
                        $(this).attr('disabled', 'false');
                        if (data.status) {
                            $('img', $img).parent().parent().remove();
                            $.jGrowl('حذف شد', {header: 'موفقیت آمیز'});
                        } else {
                            switch (data.error) {
                                case('login'):
                                    $.jGrowl('لطفا وارد سیستم شوید', {header: 'خطا'});
                                    break;
                                case('permission'):
                                    $.jGrowl('لطفا وارد سیستم شوید', {header: 'خطا'});
                                    break;
                                case('profile'):
                                    $.jGrowl('کاربر منتخب، معتبر نیست', {header: 'خطا'});
                                    break;
                                case('action'):
                                    $.jGrowl('درخواست معتبر نیست', {header: 'خطا'});
                                    break;
                                case('unexpectederror'):
                                    $.jGrowl('خطای غیر منتظره ای رخ داد', {header: 'خطا'});
                                    break;
                                default:
                                    $.jGrowl('خطای غیر منتظره ای رخ داد', {header: 'خطا'});
                                    break;
                            }
                        }
                    },
                    error: function () {
                        $(this).attr('disabled', 'false');
                        $.jGrowl('خطای غیر منتظره ای رخ داد', {header: 'خطا'});
                    }
                });
            }
        });
    });
    function changepage(elem) {
        window.location.href = '<?php echo(url('admin/logs/avatar/\'+elem.value+\'')); ?>';
    }
</script>
<section class="container_12 clearfix" id="content">
    <div class="grid_12">
        <div class="box">
            <div class="header">
                <h2>مشاهده لیست آواتار ها</h2>
            </div>
            <div class="content">
                <p >
                    صفحه:<select onchange="changepage(this);" class="search">
                        <?php
                        $num = db::num('profiles', "`avatar`!='{$options['defaultavatar']}'");
                        $msgshostory = 20;
                        $totalpages = ceil($num / $msgshostory);
                        $x = 0;
                        while ($x < $totalpages) {
                            $nextpage = $x + 1;
                            $x++;
                            $num -= $msgshostory;
                            if ($nextpage == $page) {
                                $selected = " selected=\"selected\"";
                            } else {
                                $selected = "";
                            }
                            echo("<option$selected>$nextpage</option>");
                        }
                        if ($x == 0) {
                            echo("<option>1</option>");
                        }
                        ?>
                    </select>
                </p>
                <div class="gallery">
                    <?php
                    $el4--;
                    $query = db::query("SELECT `{prefix}profiles`.`id`,`{prefix}profiles`.`avatar`,`{prefix}users`.`username` FROM `{prefix}profiles` INNER JOIN `{prefix}users` ON `{prefix}users`.`id`=`{prefix}profiles`.`id` WHERE `{prefix}profiles`.`avatar`!='{$options['defaultavatar']}' LIMIT $startpage,$msgshostory");
                    while ($row = mysqli_fetch_assoc($query)) {
                        ?>
                        <div data-user="<?= $row['id']; ?>" class="image">
                            <div class="tools">
                                <a class="menu icon-cog" href="javascript:void(0);"></a>
                                <menu style="display: none;position: absolute; top: 22.5px; left: 119.55px;z-index: 1000;">
                                    <a href="/admin/users/edit/<?= $row['id']; ?>#edit-profile" class="with-icon"><div class="icon icon-pencil"></div> ویرایش</a>
                                    <a onclick="$(this).parent().parent().parent().slideToggle($$.config.fxSpeed)" class="removeavatar with-icon" href="javascript:void(0);"><div class="icon icon-remove"></div> حذف</a>
                                </menu>
                            </div>
                            <a href="/theme/images/avatars/<?= $row['avatar']; ?>" rel="gallery0"><img src="/avatars/<?= $row['avatar']; ?>/128x128"></a>
                            <span><?= $row['username']; ?></span>
                        </div>
                        <?php
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
</section>
<?php include('footer.php'); ?>