<?php
include('header.php');
include('sidebar.php');
?>
<script type="text/javascript">
    function updateSorts() {
        $.ajax({
            type: "POST",
            url: "<?php echo url('ajax/admin.settings.sortupdate'); ?>",
            data: $('#serializeSort').serialize(),
            success: function (data) {
                switch (data) {
                    case('ok'):
                        $.msgGrowl({type: 'success', title: 'موفقیت آمیز', text: 'ذخیره شد'});
                        break;
                    default:
                        alert(data);
                        break;
                }
            }
        });
    }
</script>
<section id="content" class="container_12 clearfix" data-sort=true>
    <h1 class="grid_12 margin-top no-margin-top-phone">گروه های کاربری</h1>

    <div class="grid_12">
        <?php if ($options['typeload'] == '2') { ?>
            <p style="text-align: center;"><a href="<?php echo(url('admin/usertypes/add')); ?>"><button class="button grey block">افزودن  گروه</button></a>
                <a href="javascript:updateSorts();"><button class="button grey block">به روز رسانی اولویت ها</button></a></p>
        <?php } ?>
        <div class="box">
            <div class="header">
                <h2>
                    <img class="icon" src="<?php echo(theme::url('img/icons/packs/fugue/16x16/bug.png')); ?>">
                    گروه های کاربری
                </h2>

            </div>
            <div class="content">
                <div class="tabletools">
                </div>
                <table class="styled" id="daynmic_table">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th style="width: 50%;">نام گروه</th>
                            <th>مدیریت</th>
                            <th>ایکون</th>
                            <th>امتیاز لازم</th>
                            <th>اولویت</th>
                        </tr>
                    </thead>
                    <tbody>
                    <form id="serializeSort">
                        <?php
                        $query = db::query("SELECT * FROM {prefix}usertypes ORDER BY `sort` ASC");
                        $x = 1;
                        while ($row = mysqli_fetch_array($query)) {
                            switch ($row['admin']) {
                                case('1'):$admin = 'مدیر کل';
                                    break;
                                case('2'):$admin = 'مدیر ارشد';
                                    break;
                                case('3'):$admin = 'مدیر';
                                    break;
                                case('4'):$admin = 'معاون ارشد';
                                    break;
                                case('5'):$admin = 'معاون';
                                    break;
                                case('6'):$admin = 'ناظر ارشد';
                                    break;
                                case('7'):$admin = 'ناظر';
                                    break;
                                default:$admin = 'خیر';
                                    break;
                            }
                            if ($row['score'] == '0' and $row['admin'] != '0') {
                                $row['score'] = 'تائید مدیریت';
                            }if ($row['score'] == '0') {
                                $row['score'] = 'بدون محدودیت';
                            }
                            ?>
                            <tr id="type-<?php echo($row['id']); ?>">
                                <td><?php echo($row['id']); ?></td>
                                <td>
                                    <a href="<?php echo($options['typeload'] == '2' ? ("../../../admin/usertypes/edit/$row[0]") : '#'); ?>"><?php echo($row['title']); ?></a>
                                    <?php if ($options['typeload'] == '2') { ?><br />
                                <center><a href="../../../admin/usertypes/delete/<?php echo $row[0]; ?>"><span style="font-size: 10px;">[حذف]</span></a></center>
                            <?php } ?></td>
                            <td><?php if ($admin != 'خیر') { ?><span class="badge block blue dark"><?php echo($admin); ?></span><?php } else { ?><span class="badge block orange"><?php echo($admin); ?></span><?php } ?></td>
                            <td align="center"><img src="<?php echo(theme::url($row['icon'])); ?>" /></td>
                            <td align="center"><?php echo($row['score']); ?></td>
                            <td align="center"><input maxlength="4" style="text-align: center;" width="10%" name="sort_values[<?php echo($row['id']); ?>]" value="<?php echo($row['sort']); ?>"></td>
                            </tr>  
                            <?php
                        }
                        mysqli_free_result($query);
                        ?>
                    </form>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</section>
<?php include('footer.php'); ?>