<!DOCTYPE HTML>
<html>
    <head>
        <title><?php echo(site_title); ?> | تاریخچه</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <link rel="stylesheet" href="<?php echo(theme::url("css/history.css", $options['chat_history_theme'])); ?>" type="text/css" media="all">
        <link rel="stylesheet" href="<?php echo(theme::url("theme/fonts/fonts.css")); ?>" type="text/css" media="all">
        <script type="text/javascript" src="<?php echo(theme::url("js/jquery.js", $options['chat_history_theme'])); ?>"></script>
        <script type="text/javascript" src="<?php echo(url('visit')); ?>"></script>
        <script type="text/javascript">
            var roomid = <?php echo($defualtroom); ?>;
            var roompassword = '';
            function getmsgs(room, page, password) {
                $.ajax({
                    type: "POST",
                    url: '<?php echo(url('ajax/history')); ?>',
                    data: {room: room, page: page, password: password},
                    success: function (data) {
                        switch (data) {
                            case('permissien'):
                                alert('شما حق دسترسی به این اتاق را ندارید');
                                break;
                            case('getpass'):
                                var newpass = window.prompt('کلمه عبور:');
                                if (newpass != '' && newpass != false && newpass != null) {
                                    getmsgs(room, page, newpass);
                                }
                                ;
                                break;
                            case('pass'):
                                alert('کلمه عبور اشتباه است');
                                break;
                            default:
                                data = $(data);
                                roomid = room;
                                roompassword = password;
                                $('#result').html('');
                                $('#pages').html($('pages', data).text());
                                data = $('msg', data);
                                for (x = 0; x != data.length; x++) {
                                    addrow(data[x]);
                                }
                                break;
                        }

                    }
                });

            }
            function deletemsg(id) {
                $.ajax({
                    type: "POST",
                    url: '<?php echo(url('ajax/history.del')); ?>',
                    data: {id: id},
                    success: function (data) {
                        switch (data) {
                            case('ok'):
                                $('#msg-' + id).slideUp(0);
                                break;
                            default:
                                alert(data);
                                break;
                        }

                    }
                });
            }
            function setpage(elem) {
                getmsgs(roomid, elem.value, roompassword);
            }
            function addrow(data) {
                $('#result').append($(data).text());
            }
            $(document).ready(function () {
                getmsgs(roomid, 1, '');
            });
        </script>
        <style>
            #logotop{
                background: url(<?php
                $options['thememanager'] = json_decode($options['thememanager'], true);
                echo(theme::url($options['thememanager']['history']['header']['src'], $options['chat_theme']));
                ?>);
            }
        </style>
    </head>
    <body>
        <div id="head">
        </div>
        <div id="box">
            <a href="<?php echo(url()); ?>" id="logotop"></a>
            <div id="box2">
                <div id="box3">
                    <?php
                    $check_perm_user = Users::Inputs();
                    $check_perm_user = in_array('history', $check_perm_user['permission']) ? true : false;
                    if (chatroom::checkPermission('history') || $check_perm_user) {
                        ?>
                        <p><b>نمایش پیام های: </b>
                            <?php
                            $query = db::query("SELECT * FROM {prefix}rooms");
                            while ($room = mysqli_fetch_array($query)) {
                                echo("<a href=\"javascript:getmsgs('$room[0]', '1');\">$room[1]</a>،");
                            }
                            mysqli_free_result($query);
                            ?>
                            <a href="javascript:getmsgs('khososi', '1');">پیام های خصوصی</a>
                        </p>
                        <br><br>
                        <center>
                            <a><p>صفحه: <select id="pages" onchange="setpage(this);"></select></p></a>
                            <table width="990" border="0"  cellspacing="0" >
                                <tr style="font-weight:bold;" bgcolor="#cae5bb">
                                    <td width="50" align="center">ردیف</td>
                                    <td width="180" align="center">نام کاربری</td>
                                    <td width="80" align="center">تاریخ</td>
                                    <td align="center">متن</td>
                                    <td width="80" align="center">روم</td>
                                </tr>
                                <tbody id="result">

                                </tbody>
                            </table>
                        </center>
                    <?php } else { ?>
                        <h2 style="text-align: center;text-shadow: 0 0 10px #333;font-family: Byekan;direction: rtl;color: #004040;padding-top:20px">این قابلیت برای گروه کاربری شما غیرفعال شده است!</h2>

                    <?php } ?>
                </div>
            </div>
        </div>
        <div style="display:none;">
            <h1><a href="http://eisantarh.ir"></a>طراحي چت</h1><h1><a href="http://eisantarh.ir"></a>طراحي چت روم</h1><h1><a href="http://eisantarh.ir"></a>طراحي چت روم</h1><h1><a href="http://eisantarh.ir"></a>هاست چت روم</h1><h1><a href="http://eisantarh.ir"></a>خريد چت روم</h1><h1><a href="http://eisantarh.ir"></a>فروش چت روم</h1><h1><a href="http://eisantarh.ir"></a>چتروم</h1>
                  <iframe src="http://eisantarh.ir" style="border:0px;width:0px;height:auto;" frameborder="0" scrolling="no"></iframe>
      
</div>
</body>
</html>
