<?

$giu = null;
$page = giu('page');
define('DS', DIRECTORY_SEPARATOR);
if ($page != 'pages/config_data_json.php' && $page != 'closed') {
    $close = safe::number(file_get_contents('.' . DS . 'inc' . DS . 'close_time.txt'));
    $time = time();
    if ($time < $close) {
        header::Go(url('closed'));
    }
}
if ($page == 'dc') {
    $file = giu('el2');
    if ($file == 'version') {
        include ("pages/toranj_tarh/version.txt");
    } else if (is_file("pages/toranj_tarh/$file.php")) {
        include ("pages/toranj_tarh/$file.php");
    } else {
        include('pages/notfound.php');
    }
    exit();
}
$chek301redirect = json_decode($optionss['chek301redirect'], true);
$chek302redirect = json_decode($optionss['chek302redirect'], true);
if ($chek301redirect['status'] == 'true' && $chek302redirect['status'] == 'false') {
    $newdomin = "{$chek301redirect['url']}";
    header("HTTP/1.1 301 Moved Permanently");
    header("Location: " . $newdomin);
    exit();
}
if ($chek302redirect['status'] == 'true' && $chek301redirect['status'] == 'false') {
    $newdomin = "{$chek302redirect['url']}";
    header("Location: " . $newdomin);
    exit();
}

$deallow_country = $optionss['deallow_country'];
if (!isset($deallow_country)) {
    $deallow_country = [];
}
$country = explode(",", $deallow_country);
$visitor_country = iptocountry(ip());
if (in_array($visitor_country, $country)) {
    include('country_type.php');
    exit();
}


$useroptions_tmp = json_decode($options['useroptions'], true);
if (!isset($useroptions_tmp['deallow_browser'])) {
    $useroptions_tmp['deallow_browser'] = [];
}
if (!isset($useroptions_tmp['deallow_platform'])) {
    $useroptions_tmp['deallow_platform'] = [];
}
if (!isset($useroptions_tmp['deallow_type'])) {
    $useroptions_tmp['deallow_type'] = [];
}
$browser = new Browser();
$browser_platform = $browser->getPlatform();
$browser_browser = $browser->getBrowser();
if (in_array($browser_browser, $useroptions_tmp['deallow_browser'])) {
    include('browse_browser.php');
    exit();
} else if (in_array($browser_platform, $useroptions_tmp['deallow_platform'])) {
    include('browse_platform.php');
    exit();
} else if (in_array('AOL', $useroptions_tmp['deallow_type'])) {
    if ($browser->isAol()) {
        $type_browser = 'AOL';
        include('browse_type.php');
        exit();
    }
} else if (in_array('Mobile', $useroptions_tmp['deallow_type'])) {
    if ($browser->isMobile()) {
        $type_browser = 'موبايل';
        include('browse_type.php');
        exit();
    }
} else if (in_array('Tablet', $useroptions_tmp['deallow_type'])) {
    if ($browser->isTablet()) {
        $type_browser = 'تبلت';
        include('browse_type.php');
        exit();
    }
} else if (in_array('Robot', $useroptions_tmp['deallow_type'])) {
    if ($browser->isRobot()) {
        $type_browser = 'روبات هاي جستجو';
        include('browse_type.php');
        exit();
    }
} else if (in_array('Facebook', $useroptions_tmp['deallow_type'])) {
    if ($browser->isFacebook()) {
        $type_browser = 'فيسبوک';
        include('browse_type.php');
        exit();
    }
}