<?php

class Message {

    static function add($to, $text, $room, $into) {
        if ($to != '-1') {
            $room = '-1';
        }
        if ($text !== "{BUZZ}") {
            if (session('italic') == 'italic' && $text !== '{BUZZ}') {
                $text = '<i>' . $text . '</i>';
            }
            if (session('bold') == 'bold' && $text !== '{BUZZ}') {
                $text = '<b>' . $text . '</b>';
            }
        }
        $date = 'UNIX_TIMESTAMP()';
        db::insert('message', '`user`, `username`, `color` ,`fontname`,`fontsize`, `room`, `text`, `date`, `to`, `into`, `type`', "'" . session('id') . "', '" . session('name') . "', '" . session('color') . "',  '" . session('fontname') . "', '" . session('fontsize') . "','$room', '$text', $date, '$to', '$into', '" . session('admin') . "'");
        db::close();
    }

    static function AddMasageSYS($text, $room, $to = '-1') {
        global $systemname;
        global $systemcolor;
        global $systeminto;
        global $defualtfontname;
        global $defualtfontsize;
        db::insert('message', '`user`, `username`, `color`,`fontname`,`fontsize`, `room`, `text`, `date`, `to`, `into`, `type`', "'-1', '$systemname', '$systemcolor', '$defualtfontname', '$defualtfontsize' , '$room', '$text', '" . $_SERVER['REQUEST_TIME'] . "', '$to', '$systeminto', '0'");
        db::close();
    }

    static function clearHistory() {
        global $historytime;
        db::delete('message_archive', "`date` < (UNIX_TIMESTAMP() - $historytime)");
        db::delete('logs', "`date` < (UNIX_TIMESTAMP() - $historytime)");
        db::delete('message', "`date` < (UNIX_TIMESTAMP() - $historytime)");
        db::delete('offline_message', "`date` < (UNIX_TIMESTAMP() - $historytime)");
        db::close();
    }

    static function badwords($text) {
        $badwords = file('inc/badwords.ahy');
        foreach ($badwords as &$badword) {
            $explode = explode('=>', $badword);

            $text = str_replace(["\n", "\r", $explode[0]], ['', '', $explode[1]], $text);
        }
        return $text;
    }

    static function Archive() {
        db::query("INSERT {prefix}message_archive SELECT * FROM {prefix}message WHERE `date` < (UNIX_TIMESTAMP() - 900)");
        db::delete('message', "`date` < (UNIX_TIMESTAMP() - 900)");
        db::close();
    }

    static function autoAnswer($text) {
        $answers = file('inc/autoanswer.ahy');
        foreach ($answers as &$answer) {
            $explode = explode('=>', $answer);
            $explode[1] = trim($explode[1]);
            if ($text == $explode[0]) {
                $explode[1] = explode(',', $explode[1]);
                shuffle($explode[1]);
                return($explode[1][0]);
            }
        }
        return '';
    }

    static function badname_Checker($name, $id, $gender, $type) {
        $detect = false;
        $detect_name = 'چت';
        $query = db::query('SELECT `word` from {prefix}badwords WHERE `badname`="1"');
        while ($rows = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
            if (strstr(strtolower($name), $rows['word'])) {
                $detect = true;
                $detect_name = $rows['word'];
                break;
            }
        }
        mysqli_free_result($query);
        if ($detect) {
            global $options;
            $allow_admins = json_decode($options['useroptions'], true);
            $gender = $user['gender'] == '2' ? theme::url('theme/images/chat/chat.user_comment_w.png') : theme::url('theme/images/chat/chat.user_comment_m.png');
            $color = "#FF1B00";
            $textColor = session('color') == '000000' || !session('color') ? 'red' : '#' . session('color');
            $note = '<table cellpadding="3" dir="rtl" border="1" align="center">
			<tr><td><img style="cursor:pointer;" src="' . theme::url('theme/images/chat/chat.wand.png') . '" onclick=changeUserEvent("adminu_' . $id . '")><b>متخلف:</b></td><td><b><font color=' . $color . '>' . $name . '</font></b><img src="' . $gender . '"></td></tr>
							<tr><td><b>نام:</b></td><td><b><font color=' . $textColor . '>' . $name . '</font></b></td></tr>
							<tr><td><b>فیلتر:</b></td><td><b><font color=' . $textColor . '>' . $detect_name . '</font></b></td></tr>
						</table><hr>';
            $query = db::query('SELECT `id`,`type`,`roomid` FROM {prefix}onlines WHERE `admin` != "0"');
            while ($row = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
                if ($row['roomid'] == '1') {
                    $row['roomid'] = '-1';
                }
                if (in_array($row['type'], $allow_admins['send_robo2private_admins'])) {
                    db::insert('message', '`user`, `username`, `color`,`fontname`,`fontsize`, `room`, `text`, `date`, `to`, `into`, `type`', "'-1', 'SYSTEM [ <b><font color=red>پلیس مخفی</font></b> ]',
							 'defaultcolor()', '$defualtfontname', '$defualtfontsize' , '" . $row['roomid'] . "', '" . $note . "', '" . $_SERVER['REQUEST_TIME'] . "', '" . $row['id'] . "', 'pm', '" . session('admin') . "'");
                }
            }
            mysqli_free_result($query);
        }
        db::close();
    }

    static function Tabligh_Checker($text, $sender, $reciver, $cf) {
        $detect = false;
        $detect_word = 'چت';
        $query = db::query('SELECT `word` from {prefix}badwords WHERE `robo_tablighat`="1"');
        while ($rows = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
            if (strstr(strtolower($text), $rows['word'])) {
                $detect = true;
                $detect_word = $rows['word'];
                break;
            }
        }
        mysqli_free_result($query);

        if ($detect) {
            global $usertype;
            global $options;

            $allow_admins = json_decode($options['useroptions'], true);

            $sender_name = $sender;
            $reciver_name = $reciver;
            if ($cf != 'pm' && $cf != 'main') {
                $reciver_full = 'اتاق کنفرانس ' . $reciver_name['name'];
            } else {
                $reciver_full = $reciver_name['name'];
            }
            $type_sender = $usertype[$sender_name['type']]['icon'];
            $type_reciver = $usertype[$reciver_name['type']]['icon'];
            $sex_sender = $sender_name['gender'] == '2' ? theme::url('theme/images/chat/chat.user_comment_w.png') : theme::url('theme/images/chat/chat.user_comment_m.png');
            $sex_reciver = $reciver_name['gender'] == '2' ? theme::url('theme/images/chat/chat.user_comment_w.png') : theme::url('theme/images/chat/chat.user_comment_m.png');
            $sender_color = $usertype[$sender_name['type']]['color'];
            $reciver_color = $usertype[$reciver_name['type']]['color'];
            $textColor = session('color') == '000000' || !session('color') ? 'red' : '#' . session('color');
            $note = '<table cellpadding="3" dir="rtl" border="1" align="center">
							<tr><td><img style="cursor:pointer;" src="' . theme::url('theme/images/chat/chat.wand.png') . '" onclick=changeUserEvent("adminu_' . $sender_name['id'] . '")><b>ارسال کننده:</b></td><td><b><a href=javascript:void(0) onclick=changeUserEvent("privatwin_' . $sender_name['id'] . '")><font color=' . $sender_color . '>' . $sender_name['name'] . '</font></a></b> <img src="/' . $type_sender . '"><img src="' . $sex_sender . '"></td></tr>
							<tr><td><img style="cursor:pointer;" src="' . theme::url('theme/images/chat/chat.wand.png') . '" onclick=changeUserEvent("adminu_' . $reciver_name['id'] . '")><b>گیرنده:</b></td><td><b><a href=javascript:void(0) onclick=changeUserEvent("privatwin_' . $reciver_name['id'] . '")><font color=' . $reciver_color . '>' . $reciver_full . '</font></a></b> <img src="/' . $type_reciver . '"><img src="' . $sex_reciver . '"></td></tr>
							<tr><td><b>متن:</b></td><td><b><font color=' . $textColor . '>' . $text . '</font></b></td></tr>
							<tr><td><b>فیلتر:</b></td><td><b><font color=' . $textColor . '>' . $detect_word . '</font></b></td></tr>
						</table><hr>';
            $query = db::query('SELECT `id`,`type`,`roomid` FROM {prefix}onlines WHERE `admin` != "0"');
            while ($row = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
                if ($row['roomid'] == '1') {
                    $row['roomid'] = '-1';
                }
                if (in_array($row['type'], $allow_admins['send_robo2private_admins'])) {
                    db::insert('message', '`user`, `username`, `color`,`fontname`,`fontsize`,  `room`, `text`, `date`, `to`, `into`, `type`', "'-1', 'SYSTEM [ <b><font color=red>پلیس مخفی</font></b> ]',
							 'defaultcolor()', '$defualtfontname', '$defualtfontsize', '" . $row['roomid'] . "', '" . $note . "', '" . $_SERVER['REQUEST_TIME'] . "', '" . $row['id'] . "', 'pm', '" . session('admin') . "'");
                }
            }
            mysqli_free_result($query);
        }
        db::close();
    }

    static function Profile_Checker($text) {
        $detect = false;
        $detect_word = 'چت';
        $query = db::query('SELECT `word` from {prefix}badwords WHERE `robo_tablighat`="1"');
        while ($rows = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
            $words[] = $rows['word'];
        }
        mysqli_free_result($query);
        foreach ($text as $key => $val) {
            if ($detect) {
                break;
            }
            foreach ($words as $wordss) {
                if (strstr(strtolower($val), $wordss)) {
                    $detect = true;
                    $detect_word = $wordss;
                    break;
                }
            }
        }
        if ($detect) {
            global $usertype;
            global $options;

            $allow_admins = json_decode($options['useroptions'], true);

            $sender = session('id');
            $sender_name = ['name' => session('name'), 'type' => session('type'), 'gender' => session('gender')];
            $type_sender = $usertype[$sender_name['type']]['icon'];
            $sex_sender = $sender_name['gender'] == '2' ? theme::url('theme/images/chat/chat.user_comment_w.png') : theme::url('theme/images/chat/chat.user_comment_m.png');
            $sender_color = $usertype[$sender_name['type']]['color'];
            $textColor = session('color') == '000000' || !session('color') ? 'red' : '#' . session('color');
            $profile = '<a href="/profile/' . $sender . '" target="_blank" title="پروفایل"><img src="' . theme::url("theme/images/chat/chat.pr.png") . '" /></a>';
            $note = '<table cellpadding="3" dir="rtl" border="1" align="center">
								<tr><td><img style="cursor:pointer;" src="' . theme::url('theme/images/chat/chat.wand.png') . '" onclick=changeUserEvent("adminu_' . $sender . '")><b>مالک پروفایل:</b></td><td><b><a href=javascript:void(0) onclick=changeUserEvent("privatwin_' . $sender . '")><font color=' . $sender_color . '>' . $sender_name['name'] . '</font></a></b> <img src="/' . $type_sender . '"><img src="' . $sex_sender . '"></td></tr>
								<tr><td><b>توضیحات:</b></td><td><b><font color=' . $textColor . '>' . $text['info'] . '</font></b></td></tr>
								<tr><td><b>پایگاه اینترنتی:</b></td><td><b><font color=' . $textColor . '>' . $text['site'] . '</font></b></td></tr>
								<tr><td><b>فیلتر:</b></td><td><b><font color=' . $textColor . '>' . $detect_word . '</font></b></td></tr>
								<tr><td><b>آدرس پروفايل:</b></td><td>' . $profile . '</td></tr>
							</table><hr>';
            $query = db::query('SELECT `id`,`type`,`roomid` FROM {prefix}onlines WHERE `admin` != "0"');
            while ($row = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
                if ($row['roomid'] == '1') {
                    $row['roomid'] = '-1';
                }
                if (in_array($row['type'], $allow_admins['send_robo2private_admins'])) {
                    db::insert('message', '`user`, `username`, `color`,`fontname`,`fontsize`, `room`, `text`, `date`, `to`, `into`, `type`', "'-1', 'SYSTEM [ <b><font color=red>پلیس پروفایل</font></b> ]',
							 '$systemcolor', '$defualtfontname', '$defualtfontsize', '" . $row['roomid'] . "', '" . $note . "', '" . $_SERVER['REQUEST_TIME'] . "', '" . $row['id'] . "', 'pm', '" . session('admin') . "'");
                }
            }
            mysqli_free_result($query);
        }
        db::close();
    }

    static function robo_bann($text) {
        global $options;
        $detect = false;
        $ban_types = json_decode($options['useroptions'], true);
        $query = db::query('SELECT `word` from {prefix}badwords WHERE `robo_bann`="1"');
        while ($rows = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
            if (strstr(strtolower($text), $rows['word'])) {
                $detect = true;
                break;
            }
        }
        mysqli_free_result($query);
        if ($detect AND in_array(session('type'), $ban_types['UsersForBann'])) {
            $repeat = session('robo_bann');
            if (!$repeat) {
                $repeat = 0;
            }
            $repeat++;
            if ($repeat < $options['repeat_robo_bann']) {
                session('robo_bann', $repeat);
                $n = $options['repeat_robo_bann'] - $repeat;
                return "در متن ارسالی شما کلمه مورد دار شناسایی شد شما بیشتر از $n بار دیگر تکرار کنید توسط سیستم اخراج میشوید";
            } else {
                $time = $_SERVER['REQUEST_TIME'] + ($options['ban_time_robo'] * 60);
                $ip = ip();
                $reason = 'به دلیل رعایت نکردن قوانین چت روم';
                db::insert('banns', '`ip`, `date`, `to`, `author`, `user`, `reason`', "'$ip', '" . $_SERVER['REQUEST_TIME'] . "', '$time', '-1', '" . session('id') . "', '$reason'");
            }
        } else {
            return 'null';
        }
        db::close();
    }

    static function robo_cleaner($text) {
        $detect = false;
        $query = db::query('SELECT `word` from {prefix}badwords WHERE `robo_cleaner`="1"');
        while ($rows = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
            if (strstr(strtolower($text), $rows['word'])) {
                $detect = true;
                break;
            }
        }
        mysqli_free_result($query);
        if ($detect) {
            $query = db::query("SELECT `id`, `inputs`, `time` FROM {prefix}onlines WHERE `roomid`='" . session('room') . "'");
            while ($row = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
                if ($row['time'] == '0') {
                    continue;
                }
                $inputs = json_decode($row['inputs'], true);
                $inputs['clear'] = '1';
                Users::Inputs($row['id'], $inputs);
            }
            mysqli_free_result($query);
        }
        db::close();
    }

    static function SendOfflineMessage($id, $to, $text) {
        $row = mysqli_fetch_array(db::query("SELECT COUNT(*) AS count,`text` FROM {prefix}offline_message WHERE `userid` = '$to' AND `sender_id` = '$id'"), MYSQLI_ASSOC);
        if ($row['count'] > 0) {
            if (empty($row['text'])) {
                $row['text'] .= $text;
            } else {
                $row['text'] .= ',' . $text;
            }
            db::update('offline_message', "`text`='" . $row['text'] . "'", '`userid`=' . $to . ' AND `sender_id`=' . $id . '');
        } else {
            db::insert('offline_message', '`id`,`userid`,`text`,`sender_id`', "null,'" . $to . "','" . $text . "','" . $id . "'");
        }
        mysqli_free_result($row);
        db::close();
    }

}

?>
