<?php

if (!session('id') or session('admin') == '0') {
    exit();
}
adminpanel::check_Permission('exit', 'generalsettings');
$token = isset($_POST['token']) ? $_POST['token'] : false;
if (!$token || $token != session('changepw')){
	    die('لطفا صفحه خود را رفرش کنيد');
}
/* * *********** GENERAL SETTINGS********************** */
if (isset($_POST['site_title'])) {
    $newvalue = safe::string($_POST['site_title']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_site_title'");
}
if (isset($_POST['site_url'])) {
    $newvalue = safe::url($_POST['site_url']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_site_url'");
}
if (isset($_POST['chat_prefix'])) {
	$oldvalue = $optionss['chat_prefix'];
    $newvalue = safe::string($_POST['chat_prefix']);
	rename("pages/$oldvalue.php", "pages/$newvalue.php");
    db::update('optionss', "`value`='$newvalue'", "`name`='chat_prefix'");
}
if (isset($_POST['keywords'])) {
    $newvalue = safe::string($_POST['keywords']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_keywords'");
}
if (isset($_POST['description'])) {
    $newvalue = safe::string($_POST['description']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_description'");
}
if (isset($_POST['top_smilies'])) {
    $newvalue = safe::string($_POST['top_smilies']);
    db::update('optionss', "`value`='$newvalue'", "`name`='top_smilies'");
}
if (isset($_POST['method_online_sort']) && in_array($_POST['method_online_sort'], array('sort_score', 'sort_name', 'type_score', 'type_name', 'default'))) {
    $newvalue = safe::string($_POST['method_online_sort']);
    db::update('options', "`value`='$newvalue'", "`name`='method_online_sort'");
}

if (isset($_POST['defaultroom'])) {
    $newvalue = safe::number($_POST['defaultroom']);
    if (chatroom::checkroomid($newvalue)) {
        db::update('options', "`value`='$newvalue'", "`name`='chat_defaultroom'");
    }
}
if (isset($_POST['theme'])) {
    $newvalue = safe::filename($_POST['theme']);
    if (substr($newvalue, 0, 5) != 'admin') {
        if (is_dir('theme/' . $newvalue)) {
            db::update('options', "`value`='$newvalue'", "`name`='chat_theme'");
            db::update('options', "`value`='theme/$newvalue/'", "`name`='rootdirmanager'");
        }
    }
}

$smsoptions = json_decode($optionss['smsoptions'], true);
if (isset($_POST['sms_send_number'])) {
    $smsoptions['send_number'] = safe::string($_POST['sms_send_number']);
}
if (isset($_POST['sms_username'])) {
    $smsoptions['username'] = safe::string($_POST['sms_username']);
}
if (isset($_POST['sms_password'])) {
    $smsoptions['password'] = safe::string($_POST['sms_password']);
}
$smsoptions = json_encode($smsoptions, JSON_UNESCAPED_UNICODE);
db::update('optionss', "`value`='$smsoptions'", "`name`='smsoptions'");

if (isset($_POST['outputtype'])) {
    $newvalue = 'json';
    db::update('options', "`value`='$newvalue'", "`name`='outputtype'");
}

if (isset($_POST['rejecttowww'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='rejecttowww'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='rejecttowww'");
}

if (isset($_POST['permitCPsmlies'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='permitCPsmlies'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='permitCPsmlies'");
}

chatroom::reloadconfig();
chatroom::reloadconfigs();
chatroom::addlog('9', "تنظیمات را تغییر داد");
echo('ok');
?>
