<?php

if (!session('id') or session('admin') == '0') {
    exit();
}
adminpanel::check_Permission('exit', 'settings');
/* * *********** GENERAL SETTINGS********************** */
if (isset($_POST['site_title'])) {
    $newvalue = safe::string($_POST['site_title']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_site_title'");
}
if (isset($_POST['site_url'])) {
    $newvalue = safe::url($_POST['site_url']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_site_url'");
}
if (isset($_POST['keywords'])) {
    $newvalue = safe::string($_POST['keywords']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_keywords'");
}
if (isset($_POST['description'])) {
    $newvalue = safe::string($_POST['description']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_description'");
}
if (isset($_POST['defaultroom'])) {
    $newvalue = safe::number($_POST['defaultroom']);
    if (chatroom::checkroomid($newvalue)) {
        db::update('options', "`value`='$newvalue'", "`name`='chat_defaultroom'");
    }
}
if (isset($_POST['theme'])) {
    $newvalue = safe::filename($_POST['theme']);
    if (is_dir('theme/' . $newvalue)) {
        db::update('options', "`value`='$newvalue'", "`name`='chat_theme'");
        db::update('options', "`value`='$newvalue'", "`name`='rootdirmanager'");
    }
}
if (isset($_POST['admintheme'])) {
    $newvalue = safe::filename($_POST['admintheme']);
    if (is_dir('theme/' . $newvalue)) {
        db::update('options', "`value`='$newvalue'", "`name`='chat_theme'");
    }
}
if (isset($_POST['outputtype'])) {
    $newvalue = safe::string($_POST['outputtype']);
    db::update('options', "`value`='$newvalue'", "`name`='outputtype'");
}
if (isset($_POST['rejecttowww'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='rejecttowww'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='rejecttowww'");
}


if (isset($_POST['url_type'])) {
    $newvalue = safe::string($_POST['url_type']);
    db::update('options', "`value`='$newvalue'", "`name`='url_type'");
}
if (isset($_POST['pscores'])) {
    $newvalue = safe::number($_POST['pscores']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_pscores'");
}
if (isset($_POST['systemname'])) {
    $newvalue = safe::string($_POST['systemname']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_systemname'");
}
if (isset($_POST['systemcolor'])) {
    $newvalue = safe::string($_POST['systemcolor']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_systemcolor'");
}
if (isset($_POST['systeminto'])) {
    $newvalue = safe::string($_POST['systeminto']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_systeminto'");
}
if (isset($_POST['defualtcolor'])) {
    $newvalue = safe::string($_POST['defualtcolor']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_defaultcolor'");
}


if (isset($_POST['maxlengthname'])) {
    $newvalue = safe::number($_POST['maxlengthname']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_maxlengthname'");
}
if (isset($_POST['maxlengthmsg'])) {
    $newvalue = safe::number($_POST['maxlengthmsg']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_maxlengthmsg'");
}
if (isset($_POST['showiplogin'])) {
    $newvalue = 1;
    db::update('options', "`value`='$newvalue'", "`name`='chat_showiplogin'");
} else {
    $newvalue = 0;
    db::update('options', "`value`='$newvalue'", "`name`='chat_showiplogin'");
}
if (isset($_POST['ipformods'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='chat_ipformods'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='chat_ipformods'");
}
if (isset($_POST['numsgmain'])) {
    $newvalue = safe::number($_POST['numsgmain']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_numsgmain'");
}
if (isset($_POST['sendmsguest'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='chat_sendmsguest'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='chat_sendmsguest'");
}

if (isset($_POST['automod'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='automod'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='automod'");
}
if (isset($_POST['scoretosendmsg'])) {
    $newvalue = safe::string($_POST['scoretosendmsg']);
    db::update('options', "`value`='$newvalue'", "`name`='scoretosendmsg'");
}

chatroom::reloadconfig();
chatroom::addlog('9', "تنظیمات را تغییر داد");
echo('ok');
?>