<?php

if (!session('id') or session('admin') == '0') {
    exit();
}
adminpanel::check_Permission('exit', 'editusertypes');

if ($options['typeload'] == '1') {
    echo('شما از نوع بارگذاری سنتی استفاده میکنید');
    return;
}
$id = isset($_POST['id']) ? safe::number($_POST['id']) : '';
if ($id == '') {
    echo('id');
    return false;
}
if (!$type = db::get('usertypes', '*', "`id`='$id'")) {
    echo('id');
    return false;
}

$title = isset($_POST['title']) ? safe::string($_POST['title']) : $type['title'];


$admin = isset($_POST['admin']) ? safe::number($_POST['admin']) : $type['admin'];
if ($admin != '1' && $admin != '2' && $admin != '3' && $admin != '4' && $admin != '5' && $admin != '6' && $admin != '7') {
    $admin = '0';
}


$score = isset($_POST['score']) ? safe::number($_POST['score']) : $type['score'];
if ($score < 1) {
    $score = 0;
}

$sort = isset($_POST['sort']) ? safe::number($_POST['sort']) : $type['sort'];

$color = isset($_POST['color']) ? safe::hexColor($_POST['color']) : $type['color'];



$msg = '';
$version = '?ver=' . rand(1111, 9999);
$isset_icon = true;
$isset_taj = true;

if (isset($_FILES['icontype'])) {
    if ($_FILES['icontype']['error'] == 0) {
        $type = $_FILES['icontype']['type'];
        if ($type != 'image/png' && $type != 'image/jpeg' && $type != 'image/gif') {
            $msg = 'type';
        } else {
            switch ($type) {
                case('image/png'):$format = 'png';
                    break;
                case('image/jpeg'):$format = 'jpg';
                    break;
                case('image/gif'):$format = 'gif';
                    break;
            }
            $folder = 'theme/images/user-types';
            if (!is_dir($folder)) {
                mkdir($folder);
            }

            $name = "$id.$format";
            $filename = "$folder/$name";
            if (move_uploaded_file($_FILES['icontype']['tmp_name'], $filename)) {
                $img = file_get_contents($filename);
                if (strpos((string) $img, '<?php') !== false) {
                    unlink($filename);
                    $msg = 'security';
                } else {
                    $icon = $filename . $version;
                }
            } else {
                $msg = 'noup';
            }
        }
    } else {
        $isset_icon = false;
    }
}
if (isset($_FILES['imgtype'])) {
    if ($_FILES['imgtype']['error'] == 0) {
        $type = $_FILES['imgtype']['type'];
        if ($type != 'image/png' && $type != 'image/jpeg' && $type != 'image/gif') {
            $msg = 'type';
        } else {
            switch ($type) {
                case('image/png'):$format = 'png';
                    break;
                case('image/jpeg'):$format = 'jpg';
                    break;
                case('image/gif'):$format = 'gif';
                    break;
            }
            $folder = 'theme/images/user-types';
            if (!is_dir($folder)) {
                mkdir($folder);
            }

            $name = "$id.taj.$format";
            $filename = "$folder/$name";
            if (move_uploaded_file($_FILES['imgtype']['tmp_name'], $filename)) {
                $img = file_get_contents($filename);
                if (strpos((string) $img, '<?php') !== false) {
                    unlink($filename);
                    $msg = 'security';
                } else {
                    $taj = $filename . $version;
                }
            } else {
                $msg = 'noup';
            }
        }
    } else {
        $isset_taj = false;
    }
}

if (!isset($icon)) {
    $icon = $type['icon'];
}
if (!isset($taj)) {
    $taj = $type['taj'];
}


if ($msg == '') {
    db::update('usertypes', "`title`='$title', `admin`='$admin', `score`='$score', `icon`='$icon', `taj`='$taj', `color`='$color', `sort`='$sort'", "`id`='$id'");
    echo('ok');
    chatroom::reloadconfig();
} else {
    echo($msg);
}
?>
