<?php
check_session();
if (Users::guestType(session('type')))
    return;

include('inc/classes/profile.php');
include('inc/classes/bbcode.php');
Profile::CheckActiveMe();

$pid = isset($_POST['pid']) ? safe::number($_POST['pid']) : die('pid?');
$action = isset($_POST['action']) ? $_POST['action'] : die('action?');
$ltime = isset($_POST['time']) ? safe::number($_POST['time']) : '0';

$show_reload = false;
$show_pp = false;
switch ($action) {
    case 'avatar':
        $getC = db::get('profiles', '`cavatar`', "`id` = '$pid'");
        break;
    case 'cover':
        $getC = db::get('profiles', '`ccover`', "`id` = '$pid'");
        break;
    case 'info':
        $getC = db::get('profiles', '`cinfo`', "`id` = '$pid'");
        break;
    case 'music':
        $getC = db::get('profiles', '`cmusic`', "`id` = '$pid'");
        break;
    default:
        $getC = db::get('profile_posts', '`comments`,`reply_cm`', "`id` = '$pid'");
        $show_reload = true;
        $show_pp = true;
        break;
}
if (!$getC)
    return;
$comments = json_decode($getC[0], true);
$reply_comment = json_decode($getC[1], true);

$uid = array();
$name = array();
$type = array();
$avatar = array();
$gender = array();
$online = array();

foreach ($comments as $key => $val) {
    $uid[] = $val['uid'];
}
if (empty($uid))
    return;
$implode = implode(',', $uid);

$query = db::query("SELECT u.`id`,u.`name`,u.`gender`,u.`type`,p.`avatar`,o.`id` AS online FROM {prefix}users u 
							LEFT JOIN {prefix}profiles p ON p.`id` = u.`id`
								LEFT JOIN {prefix}onlines o ON o.`id` = u.`id`
									WHERE u.`id` IN($implode)");
while ($row = mysqli_fetch_array($query)) {
    $name[$row['id']] = $row['name'];
    $gender[$row['id']] = $row['gender'];
    $type[$row['id']] = $row['type'];
    $avatar[$row['id']] = $row['avatar'];
    $online[$row['id']] = $row['online'] ? 'on' : 'off';
}
mysqli_free_result($query);

//rsort($comments);
//$comments = array_slice($comments, 0,10);

echo '<script type="text/javascript">
		$(function () {
		  $(\'[data-toggle="tooltip"]\').tooltip();
		});</script>';

$myid = session('id');
$admin = session('admin');
$lastcomment = '';

foreach ($comments as $key => $val) {
    if ($ltime != 0 && $val['time'] <= $ltime)
        continue;
    $Access2DeleteComment = $val['uid'] != $myid ? CheckAdminType($type[$val['uid']]) : true;
    $count_reply = count($reply_comment[$val['cid']]);
    ?>
    <div id="<?= $val['cid']; ?>" class="row">
        <div class="col-lg-2">
            <a target="_blank" href="/profile/<?= $val['uid']; ?>"><img data-toggle="tooltip" data-placement="bottom" title="<?= $name[$val['uid']]; ?> - <?= $usertype[$type[$val['uid']]]['title']; ?>" class="<?= $online[$val['uid']] ?>" src="<?php echo(Profile::ShowResizedAvatar(is_file('theme/images/avatars/' . $avatar[$val['uid']]) ? $avatar[$val['uid']] : ($gender[$val['uid']] == '1' ? 'no_avatar_male.png' : 'no_avatar_female.jpg'))); ?>"></a>
            <?php if ($show_pp) { ?><br><center><button onclick="UserReplyComment('<?= $name[$val['uid']]; ?>', '<?= $val['cid']; ?>', '<?= $pid; ?>');
                            return false;" class="btn btn-primary btn-xs">پاسخ</button></center><?php } ?>
        </div>
        <div class="col-lg-10">
            <div class="panel panel-default arrow right">
                <div class="panel-body">
                    <div class="comment-user"><b><?= $name[$val['uid']]; ?> :</b>
                        <div class="pull-left"><?= jdate::start('l d F Y ساعت H:i:s', $val['time']) ?></div>
                    </div>
                    <?php if ($Access2DeleteComment || $val['uid'] == $myid) { ?><div class="pull-left"><a class="cursor" onclick="DeleteComment('<?= $pid; ?>', '<?= $val['cid']; ?>', '<?= $val['uid']; ?>', '<?= $val['time']; ?>', '<?= $action; ?>');"><i class="fa fa-remove"></i></a></div><?php } ?>
                    <span><div class="break-word"><?php echo bbcode::SmileComment($val['comment']); ?></div></span>
                    <?php if ($count_reply > 0) { ?>
                        <hr><div class="pull-right"><a class="cursor" onclick="ShowReplies('<?= $pid; ?>', '<?= $val['cid']; ?>');
                                        return false;"><i class="fa fa-mail-reply green"></i> <?= $count_reply; ?> پاسخ</a></div>
                        <div id="split-<?= $val['cid']; ?>"></div>
                        <div id="show-<?= $val['cid']; ?>"></div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>		
    <?php
    $lastcomment = $val['time'];
}
unset($comments, $name, $type, $avatar, $gender, $uid, $implode, $online);
?>
