<?php

check_session();
header::tojson();
if (Users::guestType(session('type')))
    return;

include('inc/classes/profile.php');
Profile::CheckActiveMe();

$action = isset($_POST['action']) && $_POST['action'] == 'like' ? 'like' : 'dislike';
$id = isset($_POST['id']) ? safe::number($_POST['id']) : die('id?');
$trust = isset($_POST['trust']) && $_POST['trust'] == 'true' ? true : false;

/* check permissions */

$ld_score = $options['ld_score'];
$offline = json_encode(array('text' => 'لایک و دیسلایک برای کل گروه های کاربری غیرفعال شده است', 'type' => 'error'), JSON_UNESCAPED_UNICODE);
$permission = json_encode(array('text' => 'لایک و دیسلایک برای گروه کاربری شما غیرفعال شده است', 'type' => 'error'), JSON_UNESCAPED_UNICODE);
$me = json_encode(array('text' => 'شما نمیتوانید پروفایل خود را لایک یا دیسلایک کنید', 'type' => 'error'), JSON_UNESCAPED_UNICODE);
$scoretxt = json_encode(array('text' => "شما امتیاز لازم برای لایک یا دیسلایک را ندارید. $ld_score امتیاز لازم دارید", 'type' => 'error'), JSON_UNESCAPED_UNICODE);

if ($options['ld_inprofile'] == 'false')
    die($offline);

$userTypes = json_decode($options['useroptions'], true);
if (!in_array(session('type'), $userTypes['ld_inprofile']))
    die($permission);

$myids = session('id');
if ($id == $myids)
    die($me);

if (session('score') < $ld_score)
    die($scoretxt);

/* check permissions */

if ($action == 'like') {
    $check = ProfileLikedUsers($id, 'like', $trust);
    $likes = db::get('profiles', '`like`', "`id`='$id'");
    $likes = isset($check['dellike']) ? $likes[0] - 1 : $likes[0] + 1;
    db::update('profiles', "`like` = '$likes'", "`id`='$id'");
    $text = $check['text'];
    Profile::SendMessage($id, $text, isset($check['dellike']) ? 'red' : 'green');

    echo json_encode(array('text' => isset($check['dellike']) ? 'لایک شما پاک شد' : 'باموفقیت ثبت شد', 'type' => 'success'), JSON_UNESCAPED_UNICODE);
} elseif ($action == 'dislike') {
    $check = ProfileLikedUsers($id, 'dislike', $trust);
    $dislikes = db::get('profiles', '`dislike`', "`id`='$id'");
    $dislikes = isset($check['deldislike']) ? $dislikes[0] - 1 : $dislikes[0] + 1;
    db::update('profiles', "`dislike` = '$dislikes'", "`id`='$id'");
    $text = $check['text'];
    Profile::SendMessage($id, $text, isset($check['deldislike']) ? 'green' : 'red');

    echo json_encode(array('text' => isset($check['deldislike']) ? 'دیسلایک شما پاک شد' : 'باموفقیت ثبت شد', 'type' => 'success'), JSON_UNESCAPED_UNICODE);
} else {
    echo('خطا');
}

function ProfileLikedUsers($id, $action, $trust) {
    if (!session('id'))
        return;
    $output = array();
    $friends = $action == 'like' ? db::get('profiles', '`likedusers`', "`id`='$id'") : db::get('profiles', '`dislikedusers`', "`id`='$id'");
    $json = json_decode($friends[0], true);
    $myid = session('id');
    if (in_array($myid, $json)) {
        if (!$trust)
            die(json_encode(array('text' => $action == 'like' ? 'شما قبلا این پروفایل را لایک کرده اید. میخواهید پاک کنید؟' : 'شما قبلا این پروفایل را دیسلایک کرده اید آیا میخواهید پاک کنید؟',
                'type' => 'errors'
                            ), JSON_UNESCAPED_UNICODE));
        $json = ArrayUnsetValue($json, $myid);
        if ($action == 'like') {
            $output['text'] = 'لایک خود را پاک کرد';
            $output['dellike'] = true;
        } else {
            $output['text'] = 'دیسلایک خود را پاک کرد';
            $output['deldislike'] = true;
        }
    } else {
        $json[] = $myid;
        if ($action == 'like') {
            $output['text'] = 'پروفایل شما را لایک کرد';
        } else {
            $output['text'] = 'پروفایل شما را دیسلایک کرد';
        }
    }
    $json = array_unique($json);
    $json = json_encode($json);
    $action == 'like' ? db::update('profiles', "`likedusers`='$json'", "`id`='$id'") : db::update('profiles', "`dislikedusers`='$json'", "`id`='$id'");
    return $output;
}

?>