<?php

check_session();
header::tojson();

include('inc/classes/profile.php');
Profile::CheckActiveMe();

$text = isset($_POST['post']) ? safe::string($_POST['post']) : die('post?');
$to = isset($_POST['id']) ? safe::number($_POST['id']) : die('id?');

if (empty($text)) {
    die(json_encode(array('text' => 'پیام خالی میباشد ارسال نشد', 'type' => 'error'), JSON_UNESCAPED_UNICODE));
}
if ($to == session('id')) {
    die(json_encode(array('text' => 'شما نمیتوانید به خودتان پیام بفرستید', 'type' => 'error'), JSON_UNESCAPED_UNICODE));
}

if (session('admin') != '1' && session('admin') != '2' ) {
    $user_info = db::get('users', '`name`,`type`,`gender`,`id`', "`id`='$to'");
    $sender_info = array('name' => session('name'), 'type' => session('type'), 'gender' => session('gender'), 'id' => session('id'));
    $reciver_info = array('name' => $user_info['name'], 'type' => $user_info['type'], 'gender' => $user_info['gender'], 'id' => $user_info['id']);
    Message::Tabligh_Checker($text, $sender_info, $reciver_info, $to);
    $text = Message::badwords(strtolower($text));
}

Message::SendOfflineMessage(session('id'), $to, $text);
echo(json_encode(array('text' => 'ارسال شد', 'type' => 'success'), JSON_UNESCAPED_UNICODE));
?>