<?php

check_session();
header::tojson();
if (Users::guestType(session('type')))
    return;

include('inc/classes/profile.php');
Profile::CheckActiveMe();

$action = isset($_POST['action']) && $_POST['action'] == 'like' ? 'like' : 'dislike';
$id = isset($_POST['pid']) ? safe::number($_POST['pid']) : die('pid?');
$trust = isset($_POST['trust']) && $_POST['trust'] == 'true' ? true : false;

if (session('type') == '1')
    die('مهمان اجازه ندارد');

if ($action == 'like') {
    $check = ProfileLikedUsers($id, 'like', $trust);
    $likes = db::get('profile_posts', '`likes`', "`id`='$id'");
    $likes = isset($check['dellike']) ? $likes[0] - 1 : $likes[0] + 1;
    db::update('profile_posts', "`likes` = '$likes'", "`id`='$id'");
    $text = $check['text'];
    //ProfileSendMessage($id,$text,isset($check['dellike']) ? 'red' : 'green');

    echo json_encode(array('text' => isset($check['dellike']) ? 'لایک شما پاک شد' : 'باموفقیت ثبت شد', 'type' => 'success'), JSON_UNESCAPED_UNICODE);
} elseif ($action == 'dislike') {
    $check = ProfileLikedUsers($id, 'dislike', $trust);
    $dislikes = db::get('profile_posts', '`dislikes`', "`id`='$id'");
    $dislikes = isset($check['deldislike']) ? $dislikes[0] - 1 : $dislikes[0] + 1;
    db::update('profile_posts', "`dislikes` = '$dislikes'", "`id`='$id'");
    $text = $check['text'];
    //ProfileSendMessage($id,$text,isset($check['deldislike']) ? 'green' : 'red');

    echo json_encode(array('text' => isset($check['deldislike']) ? 'دیسلایک شما پاک شد' : 'باموفقیت ثبت شد', 'type' => 'success'), JSON_UNESCAPED_UNICODE);
} else {
    echo(json_encode(array('text' => 'خطا', 'type' => 'error'), JSON_UNESCAPED_UNICODE));
}

function ProfileLikedUsers($id, $action, $trust) {
    if (!session('id'))
        return;
    $output = array();
    $friends = $action == 'like' ? db::get('profile_posts', '`likedusers`,`userid`', "`id`='$id'") : db::get('profile_posts', '`dislikedusers`,`userid`', "`id`='$id'");
    if (session('id') == $friends[1])
        die(json_encode(array('text' => 'me', 'type' => 'error'), JSON_UNESCAPED_UNICODE));
    $json = json_decode($friends[0], true);
    $myid = session('id');
    if (in_array($myid, $json)) {
        if (!$trust) {
            die(json_encode(array('text' => $action == 'like' ? 'شما قبلا این پست را لایک کرده اید. میخواهید پاک کنید؟' : 'شما قبلا این پست را دیسلایک کرده اید آیا میخواهید پاک کنید؟',
                'type' => 'error'
                            ), JSON_UNESCAPED_UNICODE));
        }
        $json = ArrayUnsetValue($json, $myid);
        if ($action == 'like') {
            $output['text'] = 'لایک خود را پاک کرد';
            $output['dellike'] = true;
        } else {
            $output['text'] = 'دیسلایک خود را پاک کرد';
            $output['deldislike'] = true;
        }
    } else {
        $json[] = $myid;
        if ($action == 'like') {
            $output['text'] = 'پروفایل شما را لایک کرد';
        } else {
            $output['text'] = 'پروفایل شما را دیسلایک کرد';
        }
    }
    $json = array_unique($json);
    $json = json_encode($json);
    $action == 'like' ? db::update('profile_posts', "`likedusers`='$json'", "`id`='$id'") : db::update('profile_posts', "`dislikedusers`='$json'", "`id`='$id'");
    return $output;
}

function ProfileSendMessage($id, $text, $textColor) {
    global $usertype;
    $type = url('theme/images/user-types/' . session('type') . '.png');
    $sex = session('gender') == '2' ? theme::url('images/chat.user_comment_w.png') : theme::url('theme/images/chat/chat.user_comment_m.png');
    $color = $usertype[session('type')]['color'];
    $profile = '<a href="' . url("profile/" . session('id')) . '" target="_blank" title="پروفایل"><img src="' . theme::url("theme/images/chat/chat.pr.png") . '" /></a>';
    $note = '<table dir="rtl" cellpadding="3" border="1" align="center">
			<tr><td><b>کاربر:</b></td><td><b><a href=javascript:void(0) onclick=changeUserEvent("privatwin_' . session('id') . '")><font color=' . $color . '>' . session('name') . '</font></a></b> <img src="' . $type . '"><img src="' . $sex . '"></td></tr>
			<tr><td><b>متن:</b></td><td><b><font color=' . $textColor . '>' . $text . '</font></b></td></tr>
			<tr><td><b>آدرس پروفايل:</b></td><td>' . $profile . '</td></tr>
		</table><hr>';
    $roomid = db::get('onlines', '`roomid`', "`id`='$id'");
    db::insert('message', '`user`, `username`, `color`, `room`, `text`, `date`, `to`, `into`, `type`', "'-1', '<center>SYSTEM [ <b><font color=red>گزارش پروفایل شما</font></b> ]</center>',
	 '000000', '" . $roomid[0] . "', '" . $note . "', '" . time() . "', '" . $id . "', 'pm', '" . session('admin') . "'");
}

?>