<?php

check_session();

include('inc/classes/profile.php');
Profile::CheckActiveMe();

$action = isset($_REQUEST['action']) && $_REQUEST['action'] == 'liked' ? 'liked' : 'disliked';
$location = isset($_REQUEST['loc']) ? $_REQUEST['loc'] : 'main';
$id = isset($_REQUEST['id']) ? safe::number($_REQUEST['id']) : die('id?');
$more = isset($_REQUEST['more']) ? safe::number($_REQUEST['more']) : '20';
$sort = isset($_REQUEST['sort']) && $_REQUEST['sort'] == 'ASC' ? 'ASC' : 'DESC';

ProfileLikedUsers($id, $action, $more, $sort, $location);

function ProfileLikedUsers($id, $action, $more, $sort, $location) {
    if (!session('id'))
        return;
    global $usertype;
    switch ($location) {
        case 'posts':
            $likedusers = $action == 'liked' ? db::get('profile_posts', '`likedusers`', "`id`='$id'") : db::get('profile_posts', '`dislikedusers`', "`id`='$id'");
            $json = json_decode($likedusers[0], true);
            break;
        case 'avatar':
            $likedusers = db::get('profiles', '`lduavatar`', "`id`='$id'");
            $json = json_decode($likedusers[0], true);
            $json = $action == 'liked' ? $json['likedusers'] : $json['dislikedusers'];
            break;
        case 'cover':
            $likedusers = db::get('profiles', '`lducover`', "`id`='$id'");
            $json = json_decode($likedusers[0], true);
            $json = $action == 'liked' ? $json['likedusers'] : $json['dislikedusers'];
            break;
        case 'info':
            $likedusers = db::get('profiles', '`lduinfo`', "`id`='$id'");
            $json = json_decode($likedusers[0], true);
            $json = $action == 'liked' ? $json['likedusers'] : $json['dislikedusers'];
            break;
        case 'music':
            $likedusers = db::get('profiles', '`ldumusic`', "`id`='$id'");
            $json = json_decode($likedusers[0], true);
            $json = $action == 'liked' ? $json['likedusers'] : $json['dislikedusers'];
            break;
        default:
            $likedusers = $action == 'liked' ? db::get('profiles', '`likedusers`', "`id`='$id'") : db::get('profiles', '`dislikedusers`', "`id`='$id'");
            $json = json_decode($likedusers[0], true);
            break;
    }

    $count = count($json);
    if ($count == '0') {
        return;
    }
    if ($count < $more) {
        $more = $count;
    }
    if ($sort == 'DESC') {
        //$json = array_slice($json, -$more, $more);
    } else {
        //	$json = array_slice($json, 0, $more);
    }
    $json = array_slice($json, -55, 55);
    $implode = implode(',', $json);
    echo '<script type="text/javascript">
			$(function () {
			  $(\'[data-toggle="tooltip"]\').tooltip();
			});</script>';
    $x = 1;
    $query = db::query("SELECT u.`id`,u.`name`,u.`type`,u.`gender`,p.`avatar`,o.`id` AS online FROM {prefix}users u 
							LEFT JOIN {prefix}profiles p ON p.`id` = u.`id`
							LEFT JOIN {prefix}onlines o ON o.`id` = u.`id`
							WHERE u.`id` IN($implode) ORDER BY FIELD(u.`id`,$implode) $sort");
    //echo('<button onclick="ShowMore(\''.$action.'\',\''.($more*2).'\',\''.$sort.'\');">مشاهده بيشتر</button>');
    $sort_sort = $sort == 'ASC' ? 'DESC' : 'ASC';
    if ($action == 'liked') {
        $text = $sort == 'DESC' ? 'از اولین لایک کننده تا آخرین' : 'از آخرین لایک کننده تا اولین';
    } else {
        $text = $sort == 'DESC' ? 'از اولین دیسلایک کننده تا آخرین' : 'از آخرین دیسلایک کننده تا اولین';
    }
    //echo('<button onclick="Sort(\''.$action.'\',\''.($more).'\',\''.$sort_sort.'\');">'.$text.'</button><br><hr>');
    while ($row = mysqli_fetch_array($query)) {
        $avatar = Profile::ShowResizedAvatar(is_file('theme/images/avatars/' . $row['avatar']) ? $row['avatar'] : ($row['gender'] == '1' ? 'no_avatar_male.png' : 'no_avatar_female.jpg'));
        $on = $row['online'] ? 'on' : '';
        echo('<li class="list-group-item ' . $on . '" data-toggle="tooltip" data-placement="bottom" title="' . $row['name'] . ' - ' . $usertype[$row['type']]['title'] . '"><a target="_blank" href="/profile/' . $row['id'] . '"><img src="' . $avatar . '"><span>' . $row['name'] . '</span></a></li>');

        $x++;
    }
    mysqli_free_result($query);
}

?>