<?php

header::tojson();
$codes = [];
$query = db::query("SELECT * FROM {prefix}codes WHERE `page`='login'");
while ($row = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
    $codes[] = ['location' => $row['location'],
        'code' => $row['code']
        ];
}
mysqli_free_result($query);
$ads = [];
$query = db::query("SELECT * FROM {prefix}ads WHERE `page`='login'");
while ($row = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
    $inputs = json_decode($row['inputs'], true);
    if (isset($inputs['cockie'])) {
        $inputs['cockie'] = round(($inputs['cockie'] - time()) / 86400);
        if ($inputs['cockie'] < 1)
            $inputs['cockie'] = 0;
    }
    $ads[] = ['id' => $row['id'],
        'type' => $row['type'],
        'url' => $row['url'],
        'location' => $row['location'],
        'inputs' => $inputs
        ];
}
mysqli_free_result($query);
echo json_encode(array('codes' => $codes, 'ads' => $ads), JSON_UNESCAPED_UNICODE);
?>