<?php

header::tojson();
$codes = array();
$query = db::query("SELECT * FROM {prefix}codes WHERE `page`='profile'");
while ($row = mysqli_fetch_array($query)) {
    $codes[] = array(
        'location' => $row['location'],
        'code' => $row['code']
    );
}
mysqli_free_result($query);
$ads = array();
$query = db::query("SELECT * FROM {prefix}ads WHERE `page`='profile'");
while ($row = mysqli_fetch_array($query)) {
    $inputs = json_decode($row['inputs'], true);
    if (isset($inputs['cockie'])) {
        $inputs['cockie'] = round(($inputs['cockie'] - time()) / 86400);
        if ($inputs['cockie'] < 1)
            $inputs['cockie'] = 0;
    }
    $ads[] = array(
        'id' => $row['id'],
        'type' => $row['type'],
        'url' => $row['url'],
        'location' => $row['location'],
        'inputs' => $inputs
    );
}
mysqli_free_result($query);
echo json_encode(array('codes' => $codes, 'ads' => $ads), JSON_UNESCAPED_UNICODE);
?>