<?php

check_session();
include('inc/classes/profile.php');
include('inc/classes/bbcode.php');
if (!chatroom::checkPermission('viewprofile') || Users::guestType(session('type'))) {
    Profile::ErrorMsg('این قسمت برای گروه کاربری شما غیرفعال شده است');
}
if (session('admin') != '1') {
    Profile::CheckActiveMe();
}
$user_id = giu('el2');
$giu3 = false;
$edit = false;
if (giu('el3')) {
    $giu3 = safe::number(giu('el3'));
}
if (giu('el4')) {
    header::Go(url('profile/' . $user_id));
}
if (!$user_id) {
    if (session('id')) {
        $user_id = session('id');
    } else {
        include('notfound.php');
        exit();
    }
} else {
    if ($user_id == 'edit') {
        $user_id = session('id');
        $edit = true;
    } else {
        $user_id = safe::number($user_id);
        $edit = false;
    }
}
$query = db::query("SELECT p.*, pc.`posts` AS cposts, u.`lastview`,u.`name` , u.`friends`, u.`blacklist`, u.`type`, o.`id` AS online,hide FROM {prefix}profiles p 
												LEFT JOIN {prefix}users u ON u.`id` = p.`id` 
													LEFT JOIN {prefix}onlines o ON o.`id` = p.`id`
														LEFT JOIN {prefix}profile_counts pc ON pc.`userid` = p.`id`
											WHERE p.`id`='$user_id'");
if ($profile = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
    if ($profile['active'] == '0' && session('admin') != '1') {
        Profile::ErrorMsg('این پروفایل توسط مدیریت غیرفعال شده است');
    }
    if (Profile::MeInBlackList($profile['blacklist']) && $profile['id'] != session('id')) {
        Profile::ErrorMsg('این کابر با شما قطع ارتباط کرده است');
    }
    $MySessionId = session('id');
    $user_settings = json_decode($profile['settings'], true);
    $_ProfileFriends = json_decode($profile['friends'], true);
    $ProfileFriends = array_values($_ProfileFriends);
    $ProfileLastViewUsers = json_decode($profile['views'], true);
    $ProfileLastViewUsers = array_values($ProfileLastViewUsers);
    $ProfileFollowers = json_decode($profile['followers'], true);
    $ProfileFollowers = array_values($ProfileFollowers['users']);
    $follow_posts = json_decode($profile['followers'], true);
    $friends_followers = array_unique(array_merge(isset($user_settings['sfollowp']) && $user_settings['sfollowp'] == '1' ? $follow_posts['me'] : array(), isset($user_settings['sfriendp']) && $user_settings['sfriendp'] == '1' ? $ProfileFriends : array()));
    $_follow_posts = count($friends_followers) != '0' ? implode(',', $friends_followers) : false;
    $follow_posts = '';
    $follow_posts_num = '';
    if (!$giu3) {
        $follow_posts = $_follow_posts && $profile['id'] == $MySessionId ? " OR p.`userid` IN($_follow_posts)" : '';
        $follow_posts_num = $_follow_posts && $profile['id'] == $MySessionId ? " OR `userid` IN($_follow_posts)" : '';
    }
    $_ShowLastView = false;
    $_ShowFollowers = false;
    $_ShowFriends = false;
    $_ShowInfos = false;
    if (Profile::UserSetting($user_settings['lastview'], $_ProfileFriends) || !isset($user_settings['lastview']) || $profile['id'] == $MySessionId) {
        if (count($ProfileLastViewUsers) != '0') {
            $_ShowLastView = true;
        }
    }
    if (Profile::UserSetting($user_settings['follower'], $_ProfileFriends) || !isset($user_settings['follower']) || $profile['id'] == $MySessionId) {
        if (count($ProfileFollowers) != '0') {
            $_ShowFollowers = true;
        }
    }
    if (Profile::UserSetting($user_settings['friends'], $_ProfileFriends) || !isset($user_settings['friends']) || $profile['id'] == $MySessionId) {
        if (count($ProfileFriends) != '0') {
            $_ShowFriends = true;
        }
    }
    if (Profile::UserSetting($user_settings['info'], $_ProfileFriends) || !isset($user_settings['info']) || $profile['id'] == $MySessionId) {
        $_ShowInfos = true;
    }
    switch ($profile['gender']) {
        case('1'):$gender = "پسر";
            break;
        case('2'):$gender = "دختر";
            break;
    }
    $user['registerDate'] = jdate::start("l d F Y", $profile['registerdate']);
    $user['lastAcivity'] = jdate::start("l d F Y", $profile['lastview']);
    $user['lastAcivityTime'] = date("H:i", $profile['lastview']);
    $user['birthDate'] = explode('|', $profile['birthdate']);
    if ($user['birthDate'][0] == '0') {
        $birthDate = "نا معلوم";
    } else {
        switch ($user['birthDate'][1]) {
            case('1'):$birthDate = jdate::start("l d F Y", $user['birthDate'][0]);
                break;
            case('2'):$birthDate = jdate::start("l d", $user['birthDate'][0]) . 'نامشخص';
                break;
            case('3'):$birthDate = jdate::start("F", $user['birthDate'][0]);
                break;
            case('4'):$birthDate = jdate::start("Y", $user['birthDate'][0]);
                break;
            case('5'):$birthDate = jdate::start("l d F", $user['birthDate'][0]);
                break;
            case('6'):$birthDate = jdate::start("l d Y", $user['birthDate'][0]);
                break;
            case('7'):$birthDate = jdate::start("F Y", $user['birthDate'][0]);
                break;
        }
    }
    $online = $profile['online'] ? 'online' : 'offline';
    $hidep = $profile['hide'] ? '1' : '0';
    $mymusic = json_decode($profile['music'], true);
    $mymusic['music_title'] = (mb_strlen($mymusic['music_title'], 'UTF-8') > 33) ? mb_substr($mymusic['music_title'], 0, 33, 'UTF-8') . '...' : $mymusic['music_title'];
    if (!$edit) {
        $ldavatar = Profile::LDUserCount($profile, 'lduavatar');
        $ldinfo = Profile::LDUserCount($profile, 'lduinfo');
        $ldcover = Profile::LDUserCount($profile, 'lducover');
        $ldmusic = Profile::LDUserCount($profile, 'ldumusic');
        $commentsAvatar = count(json_decode($profile['cavatar']));
        $commentsInfo = count(json_decode($profile['cinfo']));
        $commentsCover = count(json_decode($profile['ccover']));
        $commentsMusic = count(json_decode($profile['cmusic']));
        $CountDownlodedMusic = count(json_decode($profile['dmusic']));
        $myavatar_sendcomment = Profile::ShowResizedAvatar('me');
        $ProfileUserInMyBlackList = Profile::UserInMyBlackList($profile['id']);
        $total_groups = '';
        if (!$giu3 && $follow_posts_num != '') {
            $total_records = db::num('profile_posts', "`userid`='" . $profile['id'] . "' $follow_posts_num");
            $total_groups = ceil($total_records / 4);
        } elseif (!$giu3) {
            $total_records = $profile['cposts'];
            $total_groups = ceil($total_records / 4);
        }
        if ($MySessionId != $profile['id']) {
            Profile::AddLastView($ProfileLastViewUsers, $profile['id']);
        }
        $MyCover = Profile::Cover($profile['cover']);
        include("theme/microblog/profile.php");
    }else {
        include("theme/microblog/profile.edit.php");
    }
} else {
    include('notfound.php');
    exit();
}
mysqli_free_result($query);
?>
