<?php
include('header.php');
include('sidebar.php');
include('inc/classes/bbcode.php');
include('inc/classes/profile.php');
$page = safe::number($el3) ? ((int) safe::number($el3)) : 1;
if ($page == 1) {
    $startpage = 0;
} else {
    $startpage = ($page - 1) * 20;
}
?>

<script>
    function changepage(elem) {
        window.location.href = '<?php echo(url('admin/logs/profile/\'+elem.value+\'')); ?>';
    }
    function delete_postid(id) {
        if (!id)
            return false;
        //alert(id);
        $.ajax({
            type: "POST",
            url: '<?php echo(url('ajax/admin.logs.profile.post')); ?>',
            data: {postid: id},
            success: function (data) {
                switch (data) {
                    case('ok'):
                        $.jGrowl('حذف شد', {header: 'موفقیت آمیز'});
                        $('#postid-' + id).slideUp(1000);
                        break;
                    case('id'):
                        $.jGrowl('این پست وجود ندارد', {header: 'موفقیت آمیز'});
                        $('#postid-' + id).slideUp(1000);
                        break;
                    default:
                        $.jGrowl(data, {header: 'پیام سرور:'});
                        break;
                }
            }
        });
    }
</script>
<section id="content" class="container_12 clearfix" data-sort=true>
    <h1 class="grid_12 margin-top no-margin-top-phone">آمارگیر</h1>

    <div class="grid_12">
        <div class="box">
            <div class="header">
                <h2>
                    <img class="icon" src="<?php echo(theme::url('img/icons/packs/fugue/16x16/calendar-select.png')); ?>">
                    پست های پروفایل
                </h2>
            </div>
            <div class="content">
                <p >
                    صفحه:<select onchange="changepage(this);" class="search">
                        <?php
                        $num = db::num('profile_posts');
                        $msgshostory = 20;
                        $totalpages = ceil($num / $msgshostory);
                        $x = 0;
                        while ($x < $totalpages) {
                            $nextpage = $x + 1;
                            $x++;
                            $num -= $msgshostory;
                            if ($nextpage == $page) {
                                $selected = " selected=\"selected\"";
                            } else {
                                $selected = "";
                            }
                            echo("<option$selected>$nextpage</option>");
                        }
                        if ($x == 0) {
                            echo("<option>1</option>");
                        }
                        ?>
                    </select>
                </p>
                <ul class="searchresults grid_12">
                    <?php
                    $el4--;
                    $query = db::query("SELECT `{prefix}profile_posts`.`id`,pr.`avatar`,`{prefix}profile_posts`.`userid`,`{prefix}profile_posts`.`content`,`{prefix}profile_posts`.`time`,`{prefix}users`.`name` FROM `{prefix}profile_posts` INNER JOIN `{prefix}users` ON `{prefix}users`.`id` = `userid` LEFT JOIN {prefix}profiles pr ON pr.`id` = `{prefix}profile_posts`.`userid` ORDER BY `{prefix}profile_posts`.`id` LIMIT $startpage,$msgshostory");

                    while ($row = mysqli_fetch_assoc($query)) {
                        ?>
                        <li id="post-<?= $row['id']; ?>">
                            <div class="header">
                                <h3><a href="<?= url("admin/users/edit/{$row['userid']}"); ?>"><?= $row['name']; ?></a></h3>
                                <p><font color="#F22613">تاریخ انتشار این پست : </font><?= jdate::start('l d F Y ساعت H:i:s', $row['time']) ?></p>
                            </div>
                            <div class="content">
                                <div class="left">							
                                    <img src="<? echo Profile::ShowResizedAvatar($row['avatar'], $size = '50x50'); ?>" class="avatar">
                                    <p>                                    
                                        <a data-post="<?= $row['id']; ?>" class="action post-delete" href="javascript:delete_postid('<?php echo($row['id']); ?>');"><span class="tooltip icon-ban-circle" original-title="حذف"></span></a>
                                    </p>
                                </div>
                                <div class="right">

                                    <p><?php echo bbcode::tohtml($row['content'], true); ?></p>

                                </div>
                            </div>
                        </li>
                        <?php
                    }
                    ?>
                </ul>
            </div>
        </div>
    </div>
</section>
<?php include('footer.php'); ?> 