<?php
include('header.php');
include('sidebar.php');
?>
<script type="text/javascript">

    function edit() {
        $.ajax({
            type: "POST",
            url: "<?php echo(url('ajax/admin.settings.profile')); ?>",
            data: $('#formeditsettings').serialize(),
            success: function (data) {
                switch (data) {
                    case('ok'):
                        $.msgGrowl({type: 'success', title: 'موفقیت آمیز', text: 'ذخیره شد'});
                        break;
                    default:
                        alert(data);
                        break;
                }
            }
        });
    }

    var formblock;
    var forminputs;

    function prepare() {
        formblock = document.getElementById('formeditsettings');
        forminputs = formblock.getElementsByTagName('input');
    }

    function select_all(name, value) {
        for (i = 0; i < forminputs.length; i++) {
            // regex here to check name attribute
            var regex = new RegExp(name, "i");
            if (regex.test(forminputs[i].getAttribute('name'))) {
                if (value == '1') {
                    forminputs[i].checked = true;
                } else {
                    forminputs[i].checked = false;
                }
            }
        }
    }

    if (window.addEventListener) {
        window.addEventListener("load", prepare, false);
    } else if (window.attachEvent) {
        window.attachEvent("onload", prepare)
    } else if (document.getElementById) {
        window.onload = prepare;
    }

</script>
<section id="content" class="container_12 clearfix" data-sort=true>
    <h1 class="grid_12 margin-top no-margin-top-phone">تنظیمات</h1>
    <div class="grid_12">
        <div class="grid_12">
            <form class="box  validate" id="formeditsettings">
                <input type="hidden" name="token" value="<?php echo(session('changepw')); ?>" />
                <div class="header">
                    <h2>محدودیت های امکانات پروفایل</h2>
                </div>
                <?php $useroptions = json_decode($options['useroptions'], true); ?>
                <div class="content tabbed">
                    <div class="row">
                        <label><strong>ویرایش پروفایل:</strong></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                ?>
                                <input type="checkbox" name="profile[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['profile'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('profile', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('profile',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>مشاهده پروفایل:</strong></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                ?>
                                <input type="checkbox" name="viewprofile[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['viewprofile'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('viewprofile', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('viewprofile',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>ارسال مطلب در پروفایل:</strong><small></small></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                if ($type['id'] == '1')
                                    continue;
                                ?>
                                <input type="checkbox" name="send_post_inprofile[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['send_post_inprofile'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('send_post_inprofile', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('send_post_inprofile',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>	
                    <div class="row">
                        <label><strong>ارسال نظر در پروفایل:</strong><small></small></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                if ($type['id'] == '1')
                                    continue;
                                ?>
                                <input type="checkbox" name="send_comment_inprofile[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['send_comment_inprofile'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('send_comment_inprofile', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('send_comment_inprofile',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>	
                    <div class="row">
                        <label><strong>لایک و دیسلایک در پروفایل:</strong><small></small></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                if ($type['id'] == '1')
                                    continue;
                                ?>
                                <input type="checkbox" name="ld_inprofile[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['ld_inprofile'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('ld_inprofile', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('ld_inprofile',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>	
                    <div class="row">
                        <label><strong>فعال کردن سئوال و جواب امنیتی هنگام ورود:</strong><small></small></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                if ($type['id'] == '1')
                                    continue;
                                ?>
                                <input type="checkbox" name="security_question[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['security_question'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('security_question', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('security_question',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>مدیریت بر اطلاعات پروفایل ها:</strong></label>
                        <div>
							<?php
                            foreach ($usertype as $type) {
                                if ($type['admin'] == '0')
                                    continue;
                                ?>
                                <input type="checkbox" name="modprofile[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['modprofile'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('modprofile', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('modprofile',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>
                </div>

            </form>
            <center> <button class="button blue flat block" onclick="edit();">ویرایش</button></center>
        </div>
    </div>
</section>
<?php include('footer.php'); ?>

