<?php
include('header.php');
include('sidebar.php');
$chek301redirect = json_decode($optionss['chek301redirect'], true);
$chek302redirect = json_decode($optionss['chek302redirect'], true);
?>
<script type="text/javascript">

    function edit() {
        $.ajax({
            type: "POST",
            url: "<?php echo(url('ajax/admin.settings.redirect')); ?>",
            data: $('#formeditsettings').serialize(),
            success: function (data) {
                switch (data) {
                    case('ok'):
                        $.msgGrowl({type: 'success', title: 'موفقیت آمیز', text: 'ذخیره شد'});
                        break;
                    default:
                        alert(data);
                        break;
                }
            }
        });
    }
    function info_301redirect() {
        $("#info_301redirect").dialog('open');
    }
    $(document).ready(function () {
        $("#info_301redirect").dialog({
            autoOpen: false,
            modal: true,
            width: 500,
            buttons: [{text: "متوجه شدم", click: function () {
                        $(this).dialog("close");
                    }}]
        });
    });
    function info_302redirect() {
        $("#info_302redirect").dialog('open');
    }
    $(document).ready(function () {
        $("#info_302redirect").dialog({
            autoOpen: false,
            modal: true,
            width: 500,
            buttons: [{text: "متوجه شدم", click: function () {
                        $(this).dialog("close");
                    }}]
        });
    });
</script>
<div style="display: none;" id="info_301redirect" title="راهنمای تنظیمات این سیستم">
    <p>۳۰۱ ریدایرکت (۳۰۱ redirect) به معنی انتقال دائم آدرسی به آدرس دیگر است.۳۰۱ redirect هنگامی که شما آدرس دامنه خود را تغییر می دهید یا می خواهید با آدرس های دیگر، سایت شما نمایش داده شود کاربر دارد.روش اصولی استفاده از چند آدرس برای یک سایت استفاده از ۳۰۱ redirect می باشد 
        <br>
        ریدایرکت ۳۰۱ موجب می شود اعتبار و رتبه صفحات شما حفظ شود.اگر قصد انتقال دامنه یا صفحه از سایت خود را به آدرس دیگری دارید و آدرس قبلی خود را ۳۰۱ redirect به آدرس جدید نکنید، کل رتبه شما و اعتباری که صفحات شما بدست آورده بودند، نابود خواهد شد!
    </p>
</div>
<div style="display: none;" id="info_302redirect" title="راهنمای تنظیمات این سیستم">
    <p> ریدایرکت موقتی است. فرض کنید صفحه ای از سایت شما در یک کلمه مهم در صفحه اول گوگل قرار داره و هر لحظه بازدید زیادی از گوگل به این صفحه منتقل میشه و بنا به دلایلی این صفحه در دسترس نیست (مثلا می خواهید طراحی صفحه رو عوض کنید یا هر دلیل دیگه ای) در این حالت با استفاده از ریدایرکت 302 ، به گوگل اعلام می کنیم که این آدرس به صورت موقت به آدرس جدید منتقل شده. بنابراین گوگل آدرس قبلی را حذف نمی کنه و رنک اون صفحه حفظ میشه و هر تغییری که در صفحه جدید اعمال کنیم ، مثل این هست که روی آدرس اصلی اعمال کرده ایم.
    </p>
</div>
<section id="content" class="container_12 clearfix" data-sort=true>
    <h1 class="grid_12 margin-top no-margin-top-phone">تنظیمات</h1>
    <div class="grid_12">
        <div class="grid_12">
            <form class="box  validate" id="formeditsettings">
                <input type="hidden" name="token" value="<?php echo(session('changepw')); ?>" />
                <div class="header">
                    <h2>تنظیمات انتقال چت روم به ادرس دیگر</h2>
                </div>
                <div class="content tabbed">
                    <div class="row">
                        <label><strong>فعال کردن ریدایرکت 301: </strong><small><a href="javascript:info_301redirect();">[توضیحات]</a></small></label>
                        <div><input type="checkbox" name="status301" <?php if ($chek301redirect['status'] == 'true') echo('checked'); ?> value="<?php echo($chek301redirect['status']) ?>">بلی
                            <div id="url301">
                                <input style="direction: ltr;" type="text" name="url301" value="<?php echo($chek301redirect['url']) ?>"/> ادرسی که میخواید به ان انتقال یابد
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>فعال کردن ریدایرکت 302: </strong><small><a href="javascript:info_302redirect();">[توضیحات]</a></small></label>
                        <div><input type="checkbox" name="status302" <?php if ($chek302redirect['status'] == 'true') echo('checked'); ?> value="<?php echo($chek302redirect['status']) ?>"/>بلی
                            <div id="url302">
                                <input style="direction: ltr;" type="text" name="url302" value="<?php echo($chek302redirect['url']) ?>"/>ادرسی که میخواید به ان انتقال یابد
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <center><button class="button blue flat block" onclick="edit();">ویرایش</button></center>
    </div>
</section>
<?php include('footer.php'); ?>
